Bug 8576 - Bluetooth does not work / nor can I even find any trace of it
: Bluetooth does not work / nor can I even find any trace of it
Status: CONFIRMED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: x86_64 Linux
: High major
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-16 03:47 MSK by daz
Modified: 2017-12-31 01:51 MSK (History)
5 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
Hard Config . via ROSA System setting > Blue Tooth info (121.59 KB, image/png)
2017-12-16 09:10 MSK, daz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description daz 2017-12-16 03:47:32 MSK
Description of problem:
I have used ROSA form version 7. I never really used the bluetooth [ BT ] aside from sending file to a mobile phone via [ file manger right click send to BT device. 

I now have a BT music system I wanted to play music to via BT to it.
I selected the BT icon on the task Bar where I have previously added other BT devices. I click add new device , and the scan for devices started and cut out immediately and excited not throwing any error message.


I restated the adapter settings and may of had tried something else I cant recall what that was. But what ever took place has no left me with no trace of Bluetooth on the system. Even the BT task bar icon does not exist, right click on a file the [ send to > BT option is gone. 

I have looked over another BUG BUGZILLA report however the suggested steps , to run my outputs are totally different. 

Here are some of the things I have run and hope provide you with some idea of how I can fix this 


Version-Release number of selected component (if applicable):
Aspire V3-572G
Kernel 4.9.60-nrj-desktop-1rosa-x86_64

STEPS TO TROUBLE SHOOT AND GAIN MORE INSIGHT 

Log: rfkill
0: acer-wireless: Wireless LAN
       Soft blocked: no
       Hard blocked: no
1: acer-bluetooth: Bluetooth
       Soft blocked: no
       Hard blocked: no
2: phy0: Wireless LAN
       Soft blocked: no
       Hard blocked: no
3: hci0: Bluetooth
       Soft blocked: no
       Hard blocked: no

cimi@cimi ~ $ systemctl status bluetooth
● bluetooth.service - Bluetooth service
Loaded: loaded (/lib/systemd/system/bluetooth.service; enabled; vendor preset: enabled)
Active: active (running) since Fri 2017-12-15 20:38:46 AEDT; 1h 23min ago
Docs: man:bluetoothd(8)
Main PID: 4540 (bluetoothd)
Status: "Running"
CGroup: /system.slice/bluetooth.service
└─4540 /usr/lib64/bluetooth/bluetoothd
 
Dec 15 20:38:42 cimi systemd[1]: Starting Bluetooth service...
Dec 15 20:38:43 cimi bluetoothd[4540]: Bluetooth daemon 5.45
Dec 15 20:38:46 cimi systemd[1]: Started Bluetooth service.
Dec 15 20:38:47 cimi bluetoothd[4540]: Starting SDP server
Dec 15 20:38:47 cimi bluetoothd[4540]: Bluetooth management interface 1.14 initialized
Dec 15 20:38:47 cimi bluetoothd[4540]: Sap driver initialization failed.
Dec 15 20:38:47 cimi bluetoothd[4540]: sap-server: Operation not permitted (1)
Dec 15 20:41:00 cimi bluetoothd[4540]: Endpoint registered: sender=:1.44 path=/MediaEndpoint/A2DPSource
Dec 15 20:41:00 cimi bluetoothd[4540]: Endpoint registered: sender=:1.44 path=/MediaEndpoint/A2DPSink
cimi@cimi ~ $

cimi cimi # sudo bluetoothctl
[NEW] Controller D8:FC:93:11:D3:A1 cimi [default] [ CIMI IS THE NAME OF MY COMPUTER ]
[NEW] Device 4C:18:9A:67:C0:38 manic depression [ MANIC DEPRESSION IS THE NAME OF MY HOME NETWORK ]
Agent registered

cimi@cimi ~ $ lspci -knn | grep Net -A2; lsusb
03:00.0 Network controller [0280]: Intel Corporation Wireless 7260 [8086:08b1] (rev bb)
    Subsystem: Intel Corporation Dual Band Wireless-AC 7260 [8086:4070]
    Kernel driver in use: iwlwifi
Bus 001 Device 002: ID 8087:8001 Intel Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 002 Device 005: ID 04f2:b452 Chicony Electronics Co., Ltd
Bus 002 Device 004: ID 8087:07dc Intel Corp.
Bus 002 Device 003: ID 0dd8:ac00 Netac Technology Co., Ltd
Bus 002 Device 002: ID 046d:c534 Logitech, Inc. Unifying Receiver
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
cimi@cimi ~ $

Hareware Probe"
 https://linux-hardware.org/index.php?probe=ff86c9da79

I need to use this daily on my other devices so this is important to me to get fixed, I would love some help.
Comment 1 daz 2017-12-16 07:38:32 MSK
cimi@cimi ~ $ hcitool dev
Devices:
        hci0    D8:FC:93:11:D3:A1

cimi cimi # hciconfig
hci0:	Type: Primary  Bus: USB
	BD Address: D8:FC:93:11:D3:A1  ACL MTU: 1021:5  SCO MTU: 96:6
	UP RUNNING PSCAN ISCAN 
	RX bytes:2215988 acl:7521 sco:0 events:395 errors:0
	TX bytes:26755 acl:90 sco:0 commands:220 errors:0

cimi cimi # modprobe hci_usb
modprobe: FATAL: Module hci_usb not found.

cimi cimi # modprobe l2cap
modprobe: FATAL: Module l2cap not found.

cimi cimi # lspci
00:00.0 Host bridge: Intel Corporation Broadwell-U Host Bridge -OPI (rev 09)
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 5500 (rev 09)
00:03.0 Audio device: Intel Corporation Broadwell-U Audio Controller (rev 09)
00:14.0 USB controller: Intel Corporation Wildcat Point-LP USB xHCI Controller (rev 03)
00:16.0 Communication controller: Intel Corporation Wildcat Point-LP MEI Controller #1 (rev 03)
00:1b.0 Audio device: Intel Corporation Wildcat Point-LP High Definition Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #1 (rev e3)
00:1c.2 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #3 (rev e3)
00:1c.3 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #4 (rev e3)
00:1c.4 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #5 (rev e3)
00:1d.0 USB controller: Intel Corporation Wildcat Point-LP USB EHCI Controller (rev 03)
00:1f.0 ISA bridge: Intel Corporation Wildcat Point-LP LPC Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation Wildcat Point-LP SATA Controller [AHCI Mode] (rev 03)
00:1f.3 SMBus: Intel Corporation Wildcat Point-LP SMBus Controller (rev 03)
00:1f.6 Signal processing controller: Intel Corporation Wildcat Point-LP Thermal Management Controller (rev 03)
02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTL8411B PCI Express Card Reader (rev 01)
02:00.1 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 12)
03:00.0 Network controller: Intel Corporation Wireless 7260 (rev bb)
04:00.0 3D controller: NVIDIA Corporation GM108M [GeForce 840M] (rev a2)
cimi cimi # 

cimi cimi # lspci -n
00:00.0 0600: 8086:1604 (rev 09)
00:02.0 0300: 8086:1616 (rev 09)
00:03.0 0403: 8086:160c (rev 09)
00:14.0 0c03: 8086:9cb1 (rev 03)
00:16.0 0780: 8086:9cba (rev 03)
00:1b.0 0403: 8086:9ca0 (rev 03)
00:1c.0 0604: 8086:9c90 (rev e3)
00:1c.2 0604: 8086:9c94 (rev e3)
00:1c.3 0604: 8086:9c96 (rev e3)
00:1c.4 0604: 8086:9c98 (rev e3)
00:1d.0 0c03: 8086:9ca6 (rev 03)
00:1f.0 0601: 8086:9cc3 (rev 03)
00:1f.2 0106: 8086:9c83 (rev 03)
00:1f.3 0c05: 8086:9ca2 (rev 03)
00:1f.6 1180: 8086:9ca4 (rev 03)
02:00.0 ff00: 10ec:5287 (rev 01)
02:00.1 0200: 10ec:8168 (rev 12)
03:00.0 0280: 8086:08b1 (rev bb)
04:00.0 0302: 10de:1341 (rev a

cimi cimi # 

cimi cimi # service bluetooth start
Redirecting to /bin/systemctl start  bluetooth.service

cimi cimi # hcitool scan
Scanning ...
cimi cimi # 

cimi cimi # ls /etc/bluetooth/
input.conf  main.conf  network.conf  pin  proximity.conf
cimi cimi # 

cimi cimi # vim /etc/bluetooth/
[ command result from  vim /etc/bluetooth/ [see attachment ] 

[ Exporatation of a Documentation retrieved from : https://www.linuxquestions.org/questions/mandriva-30/mandriva-2007-bluetooth-completely-broken-492024/

Suggests an edit ;

{ code }
# cat hcid.conf 
#
# HCI daemon configuration file.
#

# HCId options
options {
        # Automatically initialize new devices
        autoinit yes;

        # Security Manager mode
        #   none - Security manager disabled
        #   auto - Use local PIN for incoming connections
        #   user - Always ask user for a PIN
        #
        security user; # Also tried "auto", made no difference

        # Pairing mode
        #   none  - Pairing disabled
        #   multi - Allow pairing with already paired devices
        #   once  - Pair once and deny successive attempts
        pairing multi;

        # Default PIN code for incoming connections
        passkey "1234";
}

# Default settings for HCI devices
device {
        # Local device name
        #   %d - device id
        #   %h - host name
        name "%h";

        # Local device class
        class 0x3e0100;

        # Default packet type
        #pkt_type DH1,DM1,HV1;

        # Inquiry and Page scan
        iscan enable;
        pscan enable;

        # Default link mode
        #   none   - no specific policy 
        #   accept - always accept incoming connections
        #   master - become master on incoming connections,
        #            deny role switch on outgoing connections
        lm accept;

        # Default link policy
        #   none    - no specific policy
        #   rswitch - allow role switch
        #   hold    - allow hold mode
        #   sniff   - allow sniff mode
        #   park    - allow park mode
        lp rswitch,hold,sniff,park;

[ I MADE NO CHANGES JUST EXPLORATION OF TERMINAL COMMANDS ] 

}

cimi cimi # rpm -qa|grep blue
bluez-firmware-1.2-8-rosa2016.1.noarch
pulseaudio-module-bluetooth-10.0-3-rosa2016.1.x86_64
bluez-hid2hci-5.45-1-rosa2016.1.x86_64
lib64bluez3-5.45-1-rosa2016.1.x86_64
lib64kf5bluezqt6-5.38.0-1-rosa2016.1.x86_64
bluez-qt-5.38.0-1-rosa2016.1.x86_64
lib64kf5bluezqt-qml-5.38.0-1-rosa2016.1.x86_64
oxygen-cursor-theme-blue-5.10.5-1-rosa2016.1.x86_64
lib64qt5bluetooth5-5.9.3-1-rosa2016.1.x86_64
python3-qt5-bluetooth-5.9-1-rosa2016.1.x86_64
bluez-5.45-1-rosa2016.1.x86_64
blueman-2.1.0-2.1.alpha1-rosa2016.1.x86_64
lib64gnome-bluetooth13-3.20.1-1-rosa2016.1.x86_64
cimi cimi # 

cimi cimi # lsusb
Bus 001 Device 002: ID 8087:8001 Intel Corp. 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 002 Device 005: ID 04f2:b452 Chicony Electronics Co., Ltd 
Bus 002 Device 004: ID 8087:07dc Intel Corp. 
Bus 002 Device 007: ID 22d9:2773  
Bus 002 Device 002: ID 046d:c534 Logitech, Inc. Unifying Receiver
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
cimi cimi # 


cimi cimi # urpmi bluetooth
cimi cimi # urpmi gnome-bluetooth lib64gnome-bluetooth-devel lib64gnome-bluetooth-gir1.0 lib64gnome-bluetooth13
GOT: gforth-0.7.3-3-rosa2016.1.x86_64
GOT: lib64ffi-devel-3.2.1-3-rosa2016.1.x86_64
Package lib64gnome-bluetooth13-3.20.1-1-rosa2016.1.x86_64 is already installed
To satisfy dependencies, the following packages are going to be installed:
 Package                        Version      Release       Dist  DEpoch Arch 
(medium "Main")
 lib64blkid-devel               2.28.2       4             rosa  2016.1 x86_64 
 lib64canberra-devel            0.30         7             rosa  2016.1 x86_64 
 lib64canberra-gtk3-devel       0.30         7             rosa  2016.1 x86_64 
 lib64datrie-devel              0.2.4        9             rosa  2016.1 x86_64 
 lib64freetype6-devel           2.7.1        3             rosa  2016.1 x86_64 
 lib64gnome-bluetooth-devel     3.20.1       1             rosa  2016.1 x86_64 
 lib64icu-devel                 57.1         3             rosa  2016.1 x86_64 
 lib64icuio57                   57.1         3             rosa  2016.1 x86_64 
 lib64icutest57                 57.1         3             rosa  2016.1 x86_64 
 lib64icutu57                   57.1         3             rosa  2016.1 x86_64 
 lib64lzma-devel                5.2.3        2             rosa  2016.1 x86_64 
 lib64notify-devel              0.7.7        2             rosa  2016.1 x86_64 
 lib64pcrecpp0                  8.39         3             rosa  2016.1 x86_64 
 lib64pixman-devel              0.34.0       3             rosa  2016.1 x86_64 
 lib64thai-devel                0.1.18       6             rosa  2016.1 x86_64 
 lib64uuid-devel                2.28.2       4             rosa  2016.1 x86_64 
 lib64x11-devel                 1.6.4        3             rosa  2016.1 x86_64 
 lib64xcb-xselinux0             1.12         4             rosa  2016.1 x86_64 
 lib64xcb-xv0                   1.12         4             rosa  2016.1 x86_64 
 lib64xcb-xvmc0                 1.12         4             rosa  2016.1 x86_64 
 lib64xcursor-devel             1.1.14       9             rosa  2016.1 x86_64 
 lib64xdamage-devel             1.1.4        5             rosa  2016.1 x86_64 
 lib64xfixes-devel              5.0.3        3             rosa  2016.1 x86_64 
 lib64xkbcommon-devel           0.7.1        2             rosa  2016.1 x86_64 
 lib64xrandr-devel              1.5.1        3             rosa  2016.1 x86_64 
 libpthread-stubs               0.3          12            rosa  2016.1 x86_64 
(medium "Main Updates")
 glib-gettextize                2.52.3       1             rosa  2016.1 x86_64 
 lib64atk-bridge2.0-devel       2.24.1       1             rosa  2016.1 x86_64 
 lib64atspi-devel               2.24.1       1             rosa  2016.1 x86_64 
 lib64cairo-devel               1.14.8       1             rosa  2016.1 x86_64 
 lib64gdk_pixbuf2.0-devel       2.36.9       1             rosa  2016.1 x86_64 
 lib64glib2.0-devel             2.52.3       1             rosa  2016.1 x86_64 
 lib64harfbuzz-devel            1.4.7        1             rosa  2016.1 x86_64 
 lib64pangocairo1.0-devel       1.40.12      1             rosa  2016.1 x86_64 
 lib64stdc++-devel              5.4.1_2017.> 1             rosa  2016.1 x86_64 
 lib64systemd-devel             230          6             rosa  2016.1 x86_64 
 lib64udev-devel                230          6             rosa  2016.1 x86_64 
 lib64wayland-devel             1.14.0       1             rosa  2016.1 x86_64 
 libtool-base                   2.4.6        5             rosa  2016.1 x86_64 
(medium "Main2")
 gnome-bluetooth                3.20.1       1             rosa  2016.1 x86_64 
 lib64bzip2-devel               1.0.6        13            rosa  2016.1 x86_64 
 lib64dbus-1-devel              1.10.14      2             rosa  2016.1 x86_64 
 lib64ffi-devel                 3.2.1        3             rosa  2016.1 x86_64 
 lib64fontconfig-devel          2.12.1       3             rosa  2016.1 x86_64 
 lib64gnome-bluetooth-gir1.0    3.20.1       1             rosa  2016.1 x86_64 
 lib64gpg-error-devel           1.25         2             rosa  2016.1 x86_64 
 lib64graphite2-devel           1.3.8        3             rosa  2016.1 x86_64 
 lib64icule57                   57.1         3             rosa  2016.1 x86_64 
 lib64iculx57                   57.1         3             rosa  2016.1 x86_64 
 lib64mount-devel               2.28.2       4             rosa  2016.1 x86_64 
 lib64ogg-devel                 1.3.2        5             rosa  2016.1 x86_64 
 lib64pcre-devel                8.39         3             rosa  2016.1 x86_64 
 lib64pcre32_0                  8.39         3             rosa  2016.1 x86_64 
 lib64pcreposix0                8.39         3             rosa  2016.1 x86_64 
 lib64png-devel                 1.6.28       3             rosa  2016.1 x86_64 
 lib64vorbis-devel              1.3.4        7             rosa  2016.1 x86_64 
 lib64xau-devel                 1.0.8        8             rosa  2016.1 x86_64 
 lib64xcb-devel                 1.12         4             rosa  2016.1 x86_64 
 lib64xcb-res0                  1.12         4             rosa  2016.1 x86_64 
 lib64xcb-screensaver0          1.12         4             rosa  2016.1 x86_64 
 lib64xcb-xf86dri0              1.12         4             rosa  2016.1 x86_64 
 lib64xcb-xinput0               1.12         4             rosa  2016.1 x86_64 
 lib64xcb-xtest0                1.12         4             rosa  2016.1 x86_64 
 lib64xcomposite-devel          0.4.4        4             rosa  2016.1 x86_64 
 lib64xdmcp-devel               1.1.2        4             rosa  2016.1 x86_64 
 lib64xext-devel                1.3.3        6             rosa  2016.1 x86_64 
 lib64xi-devel                  1.7.9        2             rosa  2016.1 x86_64 
 lib64xinerama-devel            1.1.3        10            rosa  2016.1 x86_64 
 lib64xml2-devel                2.9.4        5             rosa  2016.1 x86_64 
 lib64xrender-devel             0.9.10       3             rosa  2016.1 x86_64 
 x11-proto-devel                7.7          10            rosa  2016.1 x86_64 
(medium "Main Updates2")
 lib64atk1.0-devel              2.24.0       1             rosa  2016.1 x86_64 
 lib64epoxy-devel               1.4.3        1             rosa  2016.1 x86_64 
 lib64gcrypt-devel              1.7.8        1             rosa  2016.1 x86_64 
 lib64gtk+3.0-devel             3.22.24      1             rosa  2016.1 x86_64 
 lib64ltdl-devel                2.4.6        5             rosa  2016.1 x86_64 
 lib64pango1.0-devel            1.40.12      1             rosa  2016.1 x86_64 
 lib64pangoft2_1.0-devel        1.40.12      1             rosa  2016.1 x86_64 
 lib64tdb-devel                 1.3.14       1             rosa  2016.1 x86_64 
 lib64wayland-egl-devel         17.1.6       1             rosa  2016.1 x86_64 
 libtool                        2.4.6        5             rosa  2016.1 x86_64 
 wayland-tools                  1.14.0       1             rosa  2016.1 x86_64 
(medium "Main32 Updates2")
 wayland-protocols-devel        1.10         1             rosa  2016.1 noarch  

cimi cimi # systemctl status bluetooth
● bluetooth.service - Bluetooth service
   Loaded: loaded (/lib/systemd/system/bluetooth.service; enabled; vendor preset: enabled)
   Active: active (running) since Fri 2017-12-15 20:38:46 AEDT; 17h ago
     Docs: man:bluetoothd(8)
 Main PID: 4540 (bluetoothd)
   Status: "Running"
    Tasks: 1 (limit: 512)
   CGroup: /system.slice/bluetooth.service
           └─4540 /usr/lib64/bluetooth/bluetoothd

Dec 15 20:38:42 cimi systemd[1]: Starting Bluetooth service...
Dec 15 20:38:43 cimi bluetoothd[4540]: Bluetooth daemon 5.45
Dec 15 20:38:46 cimi systemd[1]: Started Bluetooth service.
Dec 15 20:38:47 cimi bluetoothd[4540]: Starting SDP server
Dec 15 20:38:47 cimi bluetoothd[4540]: Bluetooth management interface 1.14 initialized
Dec 15 20:38:47 cimi bluetoothd[4540]: Sap driver initialization failed.
Dec 15 20:38:47 cimi bluetoothd[4540]: sap-server: Operation not permitted (1)
Dec 15 20:41:00 cimi bluetoothd[4540]: Endpoint registered: sender=:1.44 path=/MediaEndpoint/A2DPSource
Dec 15 20:41:00 cimi bluetoothd[4540]: Endpoint registered: sender=:1.44 path=/MediaEndpoint/A2DPSink
Dec 15 23:46:02 cimi bluetoothd[4540]: /org/bluez/hci0/dev_4C_18_9A_67_C0_38/fd0: fd(23) ready
cimi cimi # 


cimi cimi # sudo bluetoothctl
[NEW] Controller D8:FC:93:11:D3:A1 cimi [default]
[NEW] Device 4C:18:9A:67:C0:38 manic depression
Agent registered
[bluetooth]# 

[ COMMAND sudo bluetoothctl ] [ NOW SHOWING RESULTS [
THE NAME OF THE DEVICE THAT IS NOT BEING LISTED IS CALLED COOPERS SPEAKER]

cimi cimi # urpmi -y kernel  /"-y" is short for "--fuzzy" /
No package named kernel
The following packages contain kernel: Rex, abrt-addon-kerneloops, avidemux, calligra-devel, ...
You should use "-a" to use all of them
No package named /-y
No package named is
The following packages contain is: MHonArc, R-BBmisc, R-ENmisc, R-Hmisc, ...
You should use "-a" to use all of them
No package named short
The following packages contain short: R-ShortRead, clamtk, dshort, gnome-shell-extensions-desktop-shortcuts, ...
You should use "-a" to use all of them
No package named for
The following packages contain for: Propaganda-For-E, R-AnnotationForge, R-CompQuadForm, R-Formula, ...
You should use "-a" to use all of them
No package named /
The following packages contain /: 2mandvd, abiword, aegisub, aeskulap, ...
You should use "-a" to use all of them
cimi cimi # 


You should use "-a" to use all of them
cimi cimi # urpmi.update updates     /get the list of available updates from your updates media/
trying to select nonexistent medium "the"
trying to select nonexistent medium "/get"
trying to select nonexistent medium "available"
trying to select nonexistent medium "list"
trying to select nonexistent medium "from"
trying to select nonexistent medium "your"
trying to select nonexistent medium "of"
trying to select nonexistent medium "media/"
medium "Main Updates" is up-to-date
medium "Main32 Updates" is up-to-date
medium "Contrib Updates" is up-to-date
medium "Non-free Updates" is up-to-date
medium "Non-free32 Updates" is up-to-date
medium "Restricted Updates" is up-to-date
medium "Restricted32 Updates" is up-to-date
medium "Main Updates2" is up-to-date
medium "Main32 Updates2" is up-to-date
medium "Contrib Updates2" is up-to-date
medium "Non-free Updates2" is up-to-date
medium "Non-free32 Updates2" is up-to-date
medium "Restricted Updates2" is up-to-date
medium "Restricted32 Updates2" is up-to-date
cimi cimi #
Comment 2 daz 2017-12-16 07:57:45 MSK
cimi@cimi ~ $ systemctl daemon-reload
cimi@cimi ~ $ systemctl restart bluetooth
cimi@cimi ~ $ l2ping D8:FC:93:11:D3:A1
Can't create socket: Operation not permitted
cimi@cimi ~ $ su
Password: 
cimi cimi # l2ping D8:FC:93:11:D3:A1
Can't connect: No route to host
cimi cimi #
Comment 3 daz 2017-12-16 08:03:38 MSK
[ NOTE - MISSING DEVICE NOW FOUND ] 
AFTER FURTHER WORK

FURTHER TESTING REQUIRED HOWEVER- THE MISSING DEVICE WAS - 08:ED:02:60:1C:44	Coopers Speaker

THE HOWEVER STILL LEAVES ME WITH NO GUI-TASK BAR BLUETOOTH ICON TO MAKE SETTINGS 

cimi@cimi ~ $ 
cimi@cimi ~ $ lsping 4C:18:9A:67:C0:38
bash: lsping: command not found
cimi@cimi ~ $ systemctl daemon-reload
cimi@cimi ~ $ systemctl restart bluetooth
cimi@cimi ~ $ l2ping D8:FC:93:11:D3:A1
Can't create socket: Operation not permitted
cimi@cimi ~ $ su
Password: 
cimi cimi # l2ping D8:FC:93:11:D3:A1
Can't connect: No route to host
cimi cimi # sudo service bluetooth start
Redirecting to /bin/systemctl start  bluetooth.service
cimi cimi # sudo rfkill list
0: acer-wireless: Wireless LAN
	Soft blocked: no
	Hard blocked: no
1: acer-bluetooth: Bluetooth
	Soft blocked: no
	Hard blocked: no
2: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: no
3: hci0: Bluetooth
	Soft blocked: no
	Hard blocked: no
cimi cimi # sudo rfkill unblock bluetooth
cimi cimi # sudo hciconfig hci0 up
cimi cimi # hcitool scan
Scanning ...
	08:ED:02:60:1C:44	Coopers Speaker
cimi cimi #
Comment 4 daz 2017-12-16 08:12:59 MSK
Despite cimi cimi # hcitool scan
Scanning ...
	08:ED:02:60:1C:44	Coopers Speaker
cimi cimi # 

Then run ;

cimi cimi # sudo bluetoothctl
[NEW] Controller D8:FC:93:11:D3:A1 cimi [default]
[NEW] Device 4C:18:9A:67:C0:38 manic depression
Agent registered
[bluetooth]#

I thought that coopers speakers and 08:ED:02:60:1C:44 would have shown up under the sudo bluetoothctl command
Moreover when you run sudo bluetoothctl that last line shown [ [bluetooth]# indicated it is expecting a command entry- I am not sure what that might be or how it relates

[ finding the missing Coopers Speaker ]
I have about hit the stage where I am struggling to work out what steps might be next
Comment 5 daz 2017-12-16 09:10:01 MSK
Created attachment 4778 [details]
Hard Config . via ROSA System setting > Blue Tooth info
Comment 6 Vladimir Potapov 2017-12-18 12:32:37 MSK
Please, try new bluez 
http://bugs.rosalinux.ru/show_bug.cgi?id=8562
Comment 7 Eugene Shatokhin 2017-12-18 12:39:43 MSK
(In reply to comment #6)
> Please, try new bluez 
> http://bugs.rosalinux.ru/show_bug.cgi?id=8562

To try this new version of 'bluez', you can use the following steps.

1. Add the repository with the updated packages (as root):

urpmi.addmedia bluez-test http://abf-downloads.rosalinux.ru/rosa2016.1/container/2914565/x86_64/main/release/

2. Update the software:

urpmi --auto-update

3. Run 'sync', just in case.

4. It is also recommended to reboot the system for the updates to take effect.
Comment 8 daz 2017-12-18 19:11:38 MSK
At one point during the log; you will see that I added a USB networking device just to test if scans picked it up. The user interface and bluetooth ability still not there. 

LOG:

Scanning ...
        4C:18:9A:67:C0:38       manic depression
        E4:E0:C5:C8:CB:67       DTVBluetooth
cimi@cimi ~ $ urpmi --auto-update
medium "Main" is up-to-date
medium "Main Updates" is up-to-date
medium "Main32" is up-to-date
medium "Main32 Updates" is up-to-date
medium "Contrib" is up-to-date                                                                                                                                          
medium "Contrib Updates" is up-to-date                                                                                                                                  
medium "Non-free" is up-to-date                                                                                                                                         
medium "Non-free Updates" is up-to-date
medium "Non-free32" is up-to-date
medium "Non-free32 Updates" is up-to-date
medium "Restricted" is up-to-date
medium "Restricted Updates" is up-to-date
medium "Restricted32" is up-to-date
medium "Restricted32 Updates" is up-to-date
medium "Main2" is up-to-date
medium "Main Updates2" is up-to-date
medium "Main322" is up-to-date
medium "Main32 Updates2" is up-to-date
medium "Contrib2" is up-to-date
medium "Contrib Updates2" is up-to-date
medium "Non-free2" is up-to-date
medium "Non-free Updates2" is up-to-date
medium "Non-free322" is up-to-date
medium "Non-free32 Updates2" is up-to-date
medium "Restricted2" is up-to-date
medium "Restricted Updates2" is up-to-date
medium "Restricted322" is up-to-date
medium "Restricted32 Updates2" is up-to-date
medium "bluez-test" is up-to-date
Packages are up to date
cimi@cimi ~ $ sudo rfkill list
0: hci0: Bluetooth
        Soft blocked: no
        Hard blocked: no
1: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no
2: acer-wireless: Wireless LAN
        Soft blocked: no
        Hard blocked: no
3: acer-bluetooth: Bluetooth
        Soft blocked: no
        Hard blocked: no
cimi@cimi ~ $ hcitool scan
Scanning ...
        4C:18:9A:67:C0:38       manic depression
        E4:E0:C5:C8:CB:67       DTVBluetooth
cimi@cimi ~ $ bluetoothctl
[NEW] Controller D8:FC:93:11:D3:A1 cimi [default]
[NEW] Device 4C:18:9A:67:C0:38 manic depression
Agent registered
[bluetooth]# info D8:FC:93:11:D3:A1
Device D8:FC:93:11:D3:A1 not available
[bluetooth]# info 4C:18:9A:67:C0:38
Device 4C:18:9A:67:C0:38
        Name: manic depression
        Alias: manic depression
        Class: 0x005a020c
        Icon: phone
        Paired: yes
        Trusted: yes
        Blocked: no
        Connected: no
        LegacyPairing: no
        UUID: OBEX Object Push          (00001105-0000-1000-8000-00805f9b34fb)
        UUID: Audio Source              (0000110a-0000-1000-8000-00805f9b34fb)
        UUID: A/V Remote Control Target (0000110c-0000-1000-8000-00805f9b34fb)
        UUID: Advanced Audio Distribu.. (0000110d-0000-1000-8000-00805f9b34fb)
        UUID: A/V Remote Control        (0000110e-0000-1000-8000-00805f9b34fb)
        UUID: Headset AG                (00001112-0000-1000-8000-00805f9b34fb)
        UUID: PANU                      (00001115-0000-1000-8000-00805f9b34fb)
        UUID: NAP                       (00001116-0000-1000-8000-00805f9b34fb)
        UUID: Handsfree Audio Gateway   (0000111f-0000-1000-8000-00805f9b34fb)
        UUID: Phonebook Access Server   (0000112f-0000-1000-8000-00805f9b34fb)
        UUID: Message Access Server     (00001132-0000-1000-8000-00805f9b34fb)
        UUID: PnP Information           (00001200-0000-1000-8000-00805f9b34fb)
        UUID: Generic Access Profile    (00001800-0000-1000-8000-00805f9b34fb)
        UUID: Generic Attribute Profile (00001801-0000-1000-8000-00805f9b34fb)
        Modalias: bluetooth:v000Fp1200d1436
[bluetooth]# sudo l2ping D8:FC:93:11:D3:A1
Invalid command
[bluetooth]# su
Invalid command
[bluetooth]# su
Invalid command
[bluetooth]# sudo su
Invalid command
[bluetooth]# 
[1]+  Stopped                 bluetoothctl
cimi@cimi ~ $ su
Password: 
cimi cimi # sudo l2ping D8:FC:93:11:D3:A1
Can't connect: No route to host
cimi cimi # sudo l2ping 4C:18:9A:67:C0:38
Ping: 4C:18:9A:67:C0:38 from D8:FC:93:11:D3:A1 (data size 44) ...
0 bytes from 4C:18:9A:67:C0:38 id 0 time 8.80ms
0 bytes from 4C:18:9A:67:C0:38 id 1 time 6.17ms
0 bytes from 4C:18:9A:67:C0:38 id 2 time 6.02ms
0 bytes from 4C:18:9A:67:C0:38 id 3 time 6.15ms
0 bytes from 4C:18:9A:67:C0:38 id 4 time 37.38ms
0 bytes from 4C:18:9A:67:C0:38 id 5 time 30.99ms
0 bytes from 4C:18:9A:67:C0:38 id 6 time 28.82ms
0 bytes from 4C:18:9A:67:C0:38 id 7 time 38.52ms
0 bytes from 4C:18:9A:67:C0:38 id 8 time 6.07ms
0 bytes from 4C:18:9A:67:C0:38 id 9 time 6.22ms
0 bytes from 4C:18:9A:67:C0:38 id 10 time 11.07ms
0 bytes from 4C:18:9A:67:C0:38 id 11 time 7.54ms
^Z
[1]+  Stopped                 sudo l2ping 4C:18:9A:67:C0:38
cimi cimi # lsusb
Bus 003 Device 002: ID 8087:8001 Intel Corp. 
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 005: ID 04f2:b452 Chicony Electronics Co., Ltd 
Bus 001 Device 004: ID 8087:07dc Intel Corp. 
Bus 001 Device 006: ID 046d:c534 Logitech, Inc. Unifying Receiver
Bus 001 Device 002: ID 046d:c534 Logitech, Inc. Unifying Receiver
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
cimi cimi # I have now removed Bus 001 Device 006: ID 046d:c534 Logitech, Inc. Unifying Receiver [ no more benefit testing this ] 
bash: I: command not found
cimi cimi # urpmi input-utils
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/contrib/release/input-utils-0-0.20061008.5-rosa2016.1.x86_64.rpm
                                                                                                                                                                       

installing input-utils-0-0.20061008.5-rosa2016.1.x86_64.rpm from /var/cache/urpmi/rpms
Preparing...                     #####################################################################################################################################
      1/1: input-utils           #####################################################################################################################################
cimi cimi #  sudo rfkill list
0: hci0: Bluetooth
        Soft blocked: no
        Hard blocked: no
1: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no
2: acer-wireless: Wireless LAN
        Soft blocked: no
        Hard blocked: no
3: acer-bluetooth: Bluetooth
        Soft blocked: no
        Hard blocked: no
cimi cimi # sudo service bluetooth start
Redirecting to /bin/systemctl start  bluetooth.service
cimi cimi # sudo rfkill unblock bluetooth
cimi cimi #  sudo hciconfig hci0 up
cimi cimi # urpmi --auto-update
medium "Main" is up-to-date
medium "Main Updates" is up-to-date
medium "Main32" is up-to-date
medium "Main32 Updates" is up-to-date
medium "Contrib" is up-to-date
medium "Contrib Updates" is up-to-date
medium "Non-free" is up-to-date
medium "Non-free Updates" is up-to-date
medium "Non-free32" is up-to-date
medium "Non-free32 Updates" is up-to-date
medium "Restricted" is up-to-date
medium "Restricted Updates" is up-to-date
medium "Restricted32" is up-to-date
medium "Restricted32 Updates" is up-to-date
medium "Main2" is up-to-date
medium "Main Updates2" is up-to-date
medium "Main322" is up-to-date
medium "Main32 Updates2" is up-to-date
medium "Contrib2" is up-to-date
medium "Contrib Updates2" is up-to-date
medium "Non-free2" is up-to-date
medium "Non-free Updates2" is up-to-date
medium "Non-free322" is up-to-date
medium "Non-free32 Updates2" is up-to-date
medium "Restricted2" is up-to-date
medium "Restricted Updates2" is up-to-date
medium "Restricted322" is up-to-date
medium "Restricted32 Updates2" is up-to-date
medium "bluez-test" is up-to-date
Packages are up to date
cimi cimi # hcitool scan
Scanning ...
        38:C9:86:EC:9A:2F       lcleaver
        E4:E0:C5:C8:CB:67       DTVBluetooth
        4C:18:9A:67:C0:38       manic depression
cimi cimi # NOTE: I just noticed the Bluetooth device I was looking for was not turned on
bash: NOTE:: command not found
cimi cimi # hcitool scan
Scanning ...
        38:C9:86:EC:9A:2F       lcleaver
        4C:18:9A:67:C0:38       manic depression
        E4:E0:C5:C8:CB:67       DTVBluetooth
cimi cimi # lsinput
bash: lsinput: command not found
cimi cimi # lsusb
Bus 003 Device 002: ID 8087:8001 Intel Corp. 
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 005: ID 04f2:b452 Chicony Electronics Co., Ltd 
Bus 001 Device 004: ID 8087:07dc Intel Corp. 
Bus 001 Device 002: ID 046d:c534 Logitech, Inc. Unifying Receiver
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
cimi cimi # hcitool scan
Scanning ...
        4C:18:9A:67:C0:38       manic depression
        E4:E0:C5:C8:CB:67       DTVBluetooth
cimi cimi # hciconfig scan
hci0:   Type: Primary  Bus: USB
        BD Address: D8:FC:93:11:D3:A1  ACL MTU: 1021:5  SCO MTU: 96:6
        UP RUNNING PSCAN ISCAN 
        RX bytes:58086 acl:16 sco:0 events:367 errors:0
        TX bytes:4077 acl:16 sco:0 commands:108 errors:0

cimi cimi # bluez-simple-agent hci0 X
bash: bluez-simple-agent: command not found
cimi cimi # hcitool
hcitool - HCI Tool ver 5.47
Usage:
        hcitool [options] <command> [command parameters]
Options:
        --help  Display help
        -i dev  HCI device
Commands:
        dev     Display local devices
        inq     Inquire remote devices
        scan    Scan for remote devices
        name    Get name from remote device
        info    Get information from remote device
        spinq   Start periodic inquiry
        epinq   Exit periodic inquiry
        cmd     Submit arbitrary HCI commands
        con     Display active connections
        cc      Create connection to remote device
        dc      Disconnect from remote device
        sr      Switch master/slave role
        cpt     Change connection packet type
        rssi    Display connection RSSI
        lq      Display link quality
        tpl     Display transmit power level
        afh     Display AFH channel map
        lp      Set/display link policy settings
        lst     Set/display link supervision timeout
        auth    Request authentication
        enc     Set connection encryption
        key     Change connection link key
        clkoff  Read clock offset
        clock   Read local or remote clock
        lescan  Start LE scan
        leinfo  Get LE remote information
        lewladd Add device to LE White List
        lewlrm  Remove device from LE White List
        lewlsz  Read size of LE White List
        lewlclr Clear LE White List
        lerladd Add device to LE Resolving List
        lerlrm  Remove device from LE Resolving List
        lerlclr Clear LE Resolving List
        lerlsz  Read size of LE Resolving List
        lerlon  Enable LE Address Resolution
        lerloff Disable LE Address Resolution
        lecc    Create a LE Connection
        ledc    Disconnect a LE Connection
        lecup   LE Connection Update

For more information on the usage of each command use:
        hcitool <command> --help
cimi cimi # hcitool name
name: too few arguments (minimal: 1)
Usage:
        name <bdaddr>
cimi cimi # hcitool scan
Scanning ...
        4C:18:9A:67:C0:38       manic depression
        E4:E0:C5:C8:CB:67       DTVBluetooth
cimi cimi # hcitool dev
Devices:
        hci0    D8:FC:93:11:D3:A1
cimi cimi # hcitool -i hci0 scan
Scanning ...
        38:C9:86:EC:9A:2F       lcleaver
        4C:18:9A:67:C0:38       manic depression
        E4:E0:C5:C8:CB:67       DTVBluetooth
cimi cimi # lspci -nnk | grep -iA2 net; lsusb; hciconfig -a; dmesg | egrep -i 'blue|firm'
02:00.1 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 12)
        Subsystem: Acer Incorporated [ALI] Device [1025:0940]
        Kernel driver in use: r8169
--
03:00.0 Network controller [0280]: Intel Corporation Wireless 7260 [8086:08b1] (rev bb)
        Subsystem: Intel Corporation Dual Band Wireless-AC 7260 [8086:4070]
        Kernel driver in use: iwlwifi
Bus 003 Device 002: ID 8087:8001 Intel Corp. 
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 005: ID 04f2:b452 Chicony Electronics Co., Ltd 
Bus 001 Device 004: ID 8087:07dc Intel Corp. 
Bus 001 Device 002: ID 046d:c534 Logitech, Inc. Unifying Receiver
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
hci0:   Type: Primary  Bus: USB
        BD Address: D8:FC:93:11:D3:A1  ACL MTU: 1021:5  SCO MTU: 96:6
        UP RUNNING PSCAN ISCAN 
        RX bytes:75176 acl:16 sco:0 events:447 errors:0
        TX bytes:4158 acl:16 sco:0 commands:115 errors:0
        Features: 0xff 0xfe 0x0f 0xfe 0xdb 0xff 0x7b 0x87
        Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3 
        Link policy: RSWITCH HOLD SNIFF 
        Link mode: SLAVE ACCEPT 
        Name: 'cimi'
        Class: 0x0c010c
        Service Classes: Rendering, Capturing
        Device Class: Computer, Laptop
        HCI Version: 4.0 (0x6)  Revision: 0xe00
        LMP Version: 4.0 (0x6)  Subversion: 0xe00
        Manufacturer: Intel Corp. (2)

[    1.343810] [Firmware Bug]: battery: (dis)charge rate invalid.
[    3.359339] [Firmware Bug]: ACPI(PXSX) defines _DOD but not _DOS
[   13.503059] Bluetooth: Core ver 2.22
[   13.503071] Bluetooth: HCI device and connection manager initialized
[   13.503074] Bluetooth: HCI socket layer initialized
[   13.503076] Bluetooth: L2CAP socket layer initialized
[   13.503082] Bluetooth: SCO socket layer initialized
[   13.642317] Bluetooth: hci0: read Intel version: 3707100180012d0d27
[   13.642318] Bluetooth: hci0: Intel device is already patched. patch num: 27
[   13.786100] iwlwifi 0000:03:00.0: loaded firmware version 17.608620.0 op_mode iwlmvm
[   20.378554] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   20.378555] Bluetooth: BNEP filters: protocol multicast
[   20.378557] Bluetooth: BNEP socket layer initialized
[  105.786378] Bluetooth: RFCOMM TTY layer initialized
[  105.786385] Bluetooth: RFCOMM socket layer initialized
[  105.786391] Bluetooth: RFCOMM ver 1.11
cimi cimi # bluetoothctl
[NEW] Controller D8:FC:93:11:D3:A1 cimi [default]
[NEW] Device 4C:18:9A:67:C0:38 manic depression
Agent registered
[bluetooth]# scan on
Discovery started
[CHG] Controller D8:FC:93:11:D3:A1 Discovering: yes
[NEW] Device E4:E0:C5:C8:CB:67 DTVBluetooth
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -34
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -64
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -74
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -66
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -74
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -66
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -76
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -64
[NEW] Device 88:C6:26:F0:2A:E8 88-C6-26-F0-2A-E8
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -72
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -64
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -72
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -62
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -79
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -68
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -82
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -65
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -78
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -69
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -77
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -64
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -72
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -64
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -74
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -64
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -72
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -64
[CHG] Device 88:C6:26:F0:2A:E8 ManufacturerData Key: 0x0003
[CHG] Device 88:C6:26:F0:2A:E8 ManufacturerData Value:
  00 30 60 00 00 02 54 33 cb 07 c3 b2 88 c6 26 f0  .0`...T3......&.
  2a e8 12                                         *..             
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -84
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -63
[CHG] Device 88:C6:26:F0:2A:E8 ManufacturerData Key: 0x0003
[CHG] Device 88:C6:26:F0:2A:E8 ManufacturerData Value:
  00 30 60 00 00 02 54 33 cb 07 c3 b2 12           .0`...T3.....   
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -72
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -63
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -73
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -60
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -68
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -79
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -71
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -82
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -67
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -78
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -69
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -61
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -69
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -60
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -68
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -60
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -73
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -64
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -75
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -65
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -74
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -61
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -72
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -64
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -83
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -64
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -75
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -62
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -82
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -67
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -80
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -65
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -80
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -65
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -76
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -66
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -78
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -64
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -74
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -84
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -74
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -66
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -76
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -66
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -74
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -66
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -74
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -65
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -73
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -65
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -78
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -65
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -74
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -61
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -70
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -82
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -69
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -80
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -71
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -80
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -70
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -59
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -72
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -59
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -71
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -61
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -70
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -61
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -69
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -87
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -62
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -79
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -69
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -79
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -66
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -82
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -70
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -85
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -64
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -73
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -65
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -77
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -64
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -74
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -64
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -72
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -64
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -76
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -63
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -73
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -65
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -79
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -66
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -74
[bluetooth]# discoverable on
Changing discoverable on succeeded
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -64
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -77
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -64
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -75
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -66
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -74
[bluetooth]# pair
Missing device address argument
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -64
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -73
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -63
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -71
[bluetooth]# 
[2]+  Stopped                 bluetoothctl
cimi cimi # bluetoothctl
[NEW] Controller D8:FC:93:11:D3:A1 cimi [default]
[NEW] Device 88:C6:26:F0:2A:E8 88-C6-26-F0-2A-E8
[NEW] Device E4:E0:C5:C8:CB:67 DTVBluetooth
[NEW] Device 4C:18:9A:67:C0:38 manic depression
Agent registered
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -75
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -66
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -79
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -67
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -78
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -70
[bluetooth]# 
[3]+  Stopped                 bluetoothctl
cimi cimi # l2 ping 88:C6:26:F0:2A:E8
bash: l2: command not found
cimi cimi # sudo l2ping 88:C6:26:F0:2A:E8
Can't connect: Device or resource busy
cimi cimi # sudo l2 ping 88-C6-26-F0-2A-E8
sudo: l2: command not found
cimi cimi # sudo l2ping 88-C6-26-F0-2A-E8
Can't connect: Device or resource busy
cimi cimi # hcitool scan
Scanning ...
        4C:18:9A:67:C0:38       manic depression
        E4:E0:C5:C8:CB:67       DTVBluetooth
cimi cimi # bluetoothctl
[NEW] Controller D8:FC:93:11:D3:A1 cimi [default]
[NEW] Device 88:C6:26:F0:2A:E8 88-C6-26-F0-2A-E8
[NEW] Device E4:E0:C5:C8:CB:67 DTVBluetooth
[NEW] Device 4C:18:9A:67:C0:38 manic depression
Agent registered
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -87
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -65
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -74
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -66
[bluetooth]# trust
Missing device address argument
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -80
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -65
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -77
[CHG] Device E4:E0:C5:C8:CB:67 RSSI: -66
[bluetooth]# 
[4]+  Stopped                 bluetoothctl
cimi cimi # urpmi blueman
Package blueman-2.1.0-2.1.alpha1-rosa2016.1.x86_64 is already installed
cimi cimi #  lspci -knn | grep Net -A2; lsusb
03:00.0 Network controller [0280]: Intel Corporation Wireless 7260 [8086:08b1] (rev bb)
        Subsystem: Intel Corporation Dual Band Wireless-AC 7260 [8086:4070]
        Kernel driver in use: iwlwifi
Bus 003 Device 002: ID 8087:8001 Intel Corp. 
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 005: ID 04f2:b452 Chicony Electronics Co., Ltd 
Bus 001 Device 004: ID 8087:07dc Intel Corp. 
Bus 001 Device 002: ID 046d:c534 Logitech, Inc. Unifying Receiver
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
cimi cimi # lspci -v
00:00.0 Host bridge: Intel Corporation Broadwell-U Host Bridge -OPI (rev 09)
        Subsystem: Acer Incorporated [ALI] Device 0940
        Flags: bus master, fast devsel, latency 0
        Capabilities: [e0] Vendor Specific Information: Len=0c <?>
        Kernel driver in use: bdw_uncore

00:02.0 VGA compatible controller: Intel Corporation HD Graphics 5500 (rev 09) (prog-if 00 [VGA controller])
        Subsystem: Acer Incorporated [ALI] Device 0940
        Flags: bus master, fast devsel, latency 0, IRQ 51
        Memory at c2000000 (64-bit, non-prefetchable) [size=16M]
        Memory at d0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 5000 [size=64]
        [virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [d0] Power Management version 2
        Capabilities: [a4] PCI Advanced Features
        Kernel driver in use: i915
        Kernel modules: i915

00:03.0 Audio device: Intel Corporation Broadwell-U Audio Controller (rev 09)
        Subsystem: Acer Incorporated [ALI] Device 0940
        Flags: bus master, fast devsel, latency 0, IRQ 54
        Memory at c4210000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
        Kernel driver in use: snd_hda_intel
        Kernel modules: snd_hda_intel

00:14.0 USB controller: Intel Corporation Wildcat Point-LP USB xHCI Controller (rev 03) (prog-if 30 [XHCI])
        Subsystem: Acer Incorporated [ALI] Device 0940
        Flags: bus master, medium devsel, latency 0, IRQ 49
        Memory at c4200000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [70] Power Management version 2
        Capabilities: [80] MSI: Enable+ Count=1/8 Maskable- 64bit+
        Kernel driver in use: xhci_hcd
        Kernel modules: xhci_pci

00:16.0 Communication controller: Intel Corporation Wildcat Point-LP MEI Controller #1 (rev 03)
        Subsystem: Acer Incorporated [ALI] Device 0940
        Flags: bus master, fast devsel, latency 0, IRQ 52
        Memory at c4219000 (64-bit, non-prefetchable) [size=32]
        Capabilities: [50] Power Management version 3
        Capabilities: [8c] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Kernel driver in use: mei_me
        Kernel modules: mei_me

00:1b.0 Audio device: Intel Corporation Wildcat Point-LP High Definition Audio Controller (rev 03)
        Subsystem: Acer Incorporated [ALI] Device 0943
        Flags: bus master, fast devsel, latency 64, IRQ 53
        Memory at c4214000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 3
        Capabilities: [60] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Kernel driver in use: snd_hda_intel
        Kernel modules: snd_hda_intel

00:1c.0 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #1 (rev e3) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 00002000-00002fff
        Memory behind bridge: a0100000-a02fffff
        Prefetchable memory behind bridge: 00000000a0300000-00000000a04fffff
        Capabilities: [40] Express Root Port (Slot+), MSI 00
        Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [90] Subsystem: Acer Incorporated [ALI] Device 0940
        Capabilities: [a0] Power Management version 3
        Kernel driver in use: pcieport
        Kernel modules: shpchp

00:1c.2 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #3 (rev e3) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
        I/O behind bridge: 00004000-00004fff
        Memory behind bridge: c4100000-c41fffff
        Capabilities: [40] Express Root Port (Slot+), MSI 00
        Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [90] Subsystem: Acer Incorporated [ALI] Device 0940
        Capabilities: [a0] Power Management version 3
        Capabilities: [100] #00
        Capabilities: [200] L1 PM Substates
        Kernel driver in use: pcieport
        Kernel modules: shpchp

00:1c.3 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #4 (rev e3) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
        Memory behind bridge: c4000000-c40fffff
        Capabilities: [40] Express Root Port (Slot+), MSI 00
        Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [90] Subsystem: Acer Incorporated [ALI] Device 0940
        Capabilities: [a0] Power Management version 3
        Capabilities: [100] #00
        Capabilities: [200] L1 PM Substates
        Kernel driver in use: pcieport
        Kernel modules: shpchp

00:1c.4 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #5 (rev e3) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
        I/O behind bridge: 00003000-00003fff
        Memory behind bridge: c3000000-c3ffffff
        Prefetchable memory behind bridge: 00000000b0000000-00000000c1ffffff
        Capabilities: [40] Express Root Port (Slot+), MSI 00
        Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [90] Subsystem: Acer Incorporated [ALI] Device 0940
        Capabilities: [a0] Power Management version 3
        Capabilities: [100] #00
        Capabilities: [200] L1 PM Substates
        Kernel driver in use: pcieport
        Kernel modules: shpchp

00:1d.0 USB controller: Intel Corporation Wildcat Point-LP USB EHCI Controller (rev 03) (prog-if 20 [EHCI])
        Subsystem: Acer Incorporated [ALI] Device 0940
        Flags: bus master, medium devsel, latency 0, IRQ 23
        Memory at c421d000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 3
        Capabilities: [58] Debug port: BAR=1 offset=00a0
        Capabilities: [98] PCI Advanced Features
        Kernel driver in use: ehci-pci
        Kernel modules: ehci_pci

00:1f.0 ISA bridge: Intel Corporation Wildcat Point-LP LPC Controller (rev 03)
        Subsystem: Acer Incorporated [ALI] Device 0940
        Flags: bus master, medium devsel, latency 0
        Capabilities: [e0] Vendor Specific Information: Len=0c <?>
        Kernel modules: lpc_ich

00:1f.2 SATA controller: Intel Corporation Wildcat Point-LP SATA Controller [AHCI Mode] (rev 03) (prog-if 01 [AHCI 1.0])
        Subsystem: Acer Incorporated [ALI] Device 0940
        Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 46
        I/O ports at 5088 [size=8]
        I/O ports at 5094 [size=4]
        I/O ports at 5080 [size=8]
        I/O ports at 5090 [size=4]
        I/O ports at 5060 [size=32]
        Memory at c421c000 (32-bit, non-prefetchable) [size=2K]
        Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [70] Power Management version 3
        Capabilities: [a8] SATA HBA v1.0
        Kernel driver in use: ahci

00:1f.3 SMBus: Intel Corporation Wildcat Point-LP SMBus Controller (rev 03)
        Subsystem: Acer Incorporated [ALI] Device 0940
        Flags: medium devsel, IRQ 18
        Memory at c4218000 (64-bit, non-prefetchable) [size=256]
        I/O ports at 5040 [size=32]
        Kernel driver in use: i801_smbus
        Kernel modules: i2c_i801

00:1f.6 Signal processing controller: Intel Corporation Wildcat Point-LP Thermal Management Controller (rev 03)
        Subsystem: Acer Incorporated [ALI] Device 0940
        Flags: bus master, fast devsel, latency 0, IRQ 18
        Memory at c421b000 (64-bit, non-prefetchable) [size=4K]
        Capabilities: [50] Power Management version 3
        Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit-
        Kernel driver in use: intel_pch_thermal
        Kernel modules: intel_pch_thermal

02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTL8411B PCI Express Card Reader (rev 01)
        Subsystem: Acer Incorporated [ALI] Device 0940
        Flags: bus master, fast devsel, latency 0, IRQ 47
        Memory at c4105000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at c4110000 [disabled] [size=64K]
        Capabilities: [40] Power Management version 3
        Capabilities: [50] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [70] Express Endpoint, MSI 00
        Capabilities: [b0] MSI-X: Enable- Count=1 Masked-
        Capabilities: [d0] Vital Product Data
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Virtual Channel
        Capabilities: [160] Device Serial Number 00-00-00-00-00-00-00-00
        Capabilities: [170] Latency Tolerance Reporting
        Capabilities: [178] L1 PM Substates
        Kernel driver in use: rtsx_pci
        Kernel modules: rtsx_pci

02:00.1 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 12)
        Subsystem: Acer Incorporated [ALI] Device 0940
        Flags: bus master, fast devsel, latency 0, IRQ 48
        I/O ports at 4000 [size=256]
        Memory at c4104000 (64-bit, non-prefetchable) [size=4K]
        Memory at c4100000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [40] Power Management version 3
        Capabilities: [50] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [70] Express Endpoint, MSI 01
        Capabilities: [b0] MSI-X: Enable- Count=4 Masked-
        Capabilities: [d0] Vital Product Data
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [160] Device Serial Number 01-00-00-00-68-4c-e0-00
        Capabilities: [170] Latency Tolerance Reporting
        Capabilities: [178] L1 PM Substates
        Kernel driver in use: r8169
        Kernel modules: r8169

03:00.0 Network controller: Intel Corporation Wireless 7260 (rev bb)
        Subsystem: Intel Corporation Dual Band Wireless-AC 7260
        Flags: bus master, fast devsel, latency 0, IRQ 55
        Memory at c4000000 (64-bit, non-prefetchable) [size=8K]
        Capabilities: [c8] Power Management version 3
        Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [40] Express Endpoint, MSI 00
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Device Serial Number d8-fc-93-ff-ff-11-d3-9d
        Capabilities: [14c] Latency Tolerance Reporting
        Capabilities: [154] Vendor Specific Information: ID=cafe Rev=1 Len=014 <?>
        Kernel driver in use: iwlwifi
        Kernel modules: iwlwifi

04:00.0 3D controller: NVIDIA Corporation GM108M [GeForce 840M] (rev a2)
        Subsystem: Acer Incorporated [ALI] Device 0942
        Flags: bus master, fast devsel, latency 0, IRQ 50
        Memory at c3000000 (32-bit, non-prefetchable) [size=16M]
        Memory at b0000000 (64-bit, prefetchable) [size=256M]
        Memory at c0000000 (64-bit, prefetchable) [size=32M]
        I/O ports at 3000 [size=128]
        Expansion ROM at <ignored> [disabled]
        Capabilities: [60] Power Management version 3
        Capabilities: [68] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [78] Express Endpoint, MSI 00
        Capabilities: [100] Virtual Channel
        Capabilities: [250] Latency Tolerance Reporting
        Capabilities: [258] L1 PM Substates
        Capabilities: [128] Power Budgeting <?>
        Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
        Capabilities: [900] #19
        Kernel driver in use: nouveau
        Kernel modules: nvidiafb, nouveau

cimi cimi # urpmi kbluetooth
No package named kbluetooth
cimi cimi # urpmi.update
the entry to update is missing
(one of Main, Main Updates, Main Testing, Main32, Main32 Updates, Main32 Testing, Contrib, Contrib Updates, Contrib Testing, Non-free, Non-free Updates, Non-free Testing, Non-free32, Non-free32 Updates, Non-free32 Testing, Restricted, Restricted Updates, Restricted Testing, Restricted32, Restricted32 Updates, Restricted32 Testing, Main2, Main Updates2, Main Testing2, Main322, Main32 Updates2, Main32 Testing2, Contrib2, Contrib Updates2, Contrib Testing2, Non-free2, Non-free Updates2, Non-free Testing2, Non-free322, Non-free32 Updates2, Non-free32 Testing2, Restricted2, Restricted Updates2, Restricted Testing2, Restricted322, Restricted32 Updates2, Restricted32 Testing2, bluez-test)
cimi cimi # urpmi.update -a
medium "Main" is up-to-date
medium "Main Updates" is up-to-date
medium "Main32" is up-to-date
medium "Main32 Updates" is up-to-date
medium "Contrib" is up-to-date
medium "Contrib Updates" is up-to-date
medium "Non-free" is up-to-date
medium "Non-free Updates" is up-to-date
medium "Non-free32" is up-to-date
medium "Non-free32 Updates" is up-to-date
medium "Restricted" is up-to-date
medium "Restricted Updates" is up-to-date
medium "Restricted32" is up-to-date
medium "Restricted32 Updates" is up-to-date
medium "Main2" is up-to-date
medium "Main Updates2" is up-to-date
medium "Main322" is up-to-date
medium "Main32 Updates2" is up-to-date
medium "Contrib2" is up-to-date
medium "Contrib Updates2" is up-to-date
medium "Non-free2" is up-to-date
medium "Non-free Updates2" is up-to-date
medium "Non-free322" is up-to-date
medium "Non-free32 Updates2" is up-to-date
medium "Restricted2" is up-to-date
medium "Restricted Updates2" is up-to-date
medium "Restricted322" is up-to-date
medium "Restricted32 Updates2" is up-to-date
medium "bluez-test" is up-to-date
cimi cimi # sudo tail -f /var/log/messages
Dec 18 23:47:03 cimi kernel: [ 4798.877046] nouveau 0000:04:00.0: DRM: evicting buffers...
Dec 18 23:47:03 cimi kernel: [ 4798.877048] nouveau 0000:04:00.0: DRM: waiting for kernel channels to go idle...
Dec 18 23:47:03 cimi kernel: [ 4798.877075] nouveau 0000:04:00.0: DRM: suspending client object trees...
Dec 18 23:47:03 cimi kernel: [ 4798.880758] nouveau 0000:04:00.0: DRM: suspending kernel object tree...
Dec 18 23:47:24 cimi urpmi: called with: kbluetooth
Dec 18 23:48:42 cimi kernel: [ 4898.583942] audit_printk_skb: 9 callbacks suppressed
Dec 18 23:49:12 cimi kernel: [ 4928.541247] audit_printk_skb: 9 callbacks suppressed
Dec 18 23:49:55 cimi kernel: [ 4970.934806] audit_printk_skb: 57 callbacks suppressed
Dec 18 23:51:07 cimi kernel: [ 5042.934793] audit_printk_skb: 18 callbacks suppressed
Dec 18 23:54:05 cimi kernel: [ 5220.801351] audit_printk_skb: 18 callbacks suppressed
Dec 19 00:01:01 cimi systemd[1]: Created slice User Slice of root.
Dec 19 00:01:01 cimi systemd[1]: Starting User Manager for UID 0...
Dec 19 00:01:01 cimi systemd[1]: Started Session 8 of user root.
Dec 19 00:01:01 cimi systemd[23575]: Reached target Timers.
Dec 19 00:01:01 cimi systemd[23575]: Listening on D-Bus User Message Bus Socket.
Dec 19 00:01:01 cimi systemd[23575]: Reached target Sockets.
Dec 19 00:01:01 cimi systemd[23575]: Reached target Paths.
Dec 19 00:01:01 cimi systemd[23575]: Reached target Basic System.
Dec 19 00:01:01 cimi systemd[23575]: Started D-Bus User Message Bus.
Dec 19 00:01:01 cimi systemd[23575]: Reached target Default.
Dec 19 00:01:01 cimi systemd[23575]: Startup finished in 17ms.
Dec 19 00:01:01 cimi systemd[1]: Started User Manager for UID 0.
Dec 19 00:01:01 cimi CROND[23627]: (root) CMD (nice -n 19 run-parts --report /etc/cron.hourly)
Dec 19 00:01:02 cimi anacron[23661]: Anacron started on 2017-12-19
Dec 19 00:01:02 cimi anacron[23661]: Normal exit (0 jobs run)
Dec 19 00:01:02 cimi systemd[1]: Stopping User Manager for UID 0...
Dec 19 00:01:02 cimi systemd[23575]: Stopped target Default.
Dec 19 00:01:02 cimi systemd[23575]: Stopping D-Bus User Message Bus...
Dec 19 00:01:02 cimi systemd[23575]: Stopped D-Bus User Message Bus.
Dec 19 00:01:02 cimi systemd[23575]: Stopped target Basic System.
Dec 19 00:01:02 cimi systemd[23575]: Stopped target Sockets.
Dec 19 00:01:02 cimi systemd[23575]: Stopped target Timers.
Dec 19 00:01:02 cimi systemd[23575]: Stopped target Paths.
Dec 19 00:01:02 cimi systemd[23575]: Closed D-Bus User Message Bus Socket.
Dec 19 00:01:02 cimi systemd[23575]: Reached target Shutdown.
Dec 19 00:01:02 cimi systemd[23575]: Starting Exit the Session...
Dec 19 00:01:02 cimi systemd[23575]: Received SIGRTMIN+24 from PID 23776 (kill).
Dec 19 00:01:02 cimi systemd[1]: Stopped User Manager for UID 0.
Dec 19 00:01:02 cimi systemd[1]: Removed slice User Slice of root.
Dec 19 00:01:17 cimi kernel: [ 5652.972206] audit_printk_skb: 9 callbacks suppressed
Dec 19 00:53:17 cimi kernel: [ 8773.474208] mmap: yandex_browser (25133): VmData 2147942400 exceed data ulimit 2147483647. Update limits or use boot option ignore_rlimit_data.
Dec 19 00:53:21 cimi kernel: [ 8777.155295] traps: yandex_browser[25133] trap invalid opcode ip:55626b99b265 sp:7ffdb7f8cdb0 error:0
Dec 19 00:53:21 cimi kernel: [ 8777.155300]  in yandex_browser[556267048000+7704000]
Dec 19 00:53:21 cimi systemd-coredump[9020]: Failed to send coredump datagram: Message too long
Dec 19 00:53:21 cimi systemd[1]: Created slice system-systemd\x2dcoredump.slice.
Dec 19 00:53:21 cimi systemd[1]: Started Process Core Dump (PID 9020/UID 0).
Dec 19 00:53:21 cimi systemd-coredump[9021]: Coredump file descriptor missing.
Dec 19 00:53:29 cimi kernel: [ 8785.176113] audit_printk_skb: 30 callbacks suppressed
Dec 19 00:54:00 cimi org.kde.kwalletd5[10999]: Application ' "Google Chrome" ' using kwallet without parent window!
Dec 19 00:54:05 cimi kernel: [ 8821.103010] audit_printk_skb: 366 callbacks suppressed
Dec 19 00:54:23 cimi kernel: [ 8839.576318] audit_printk_skb: 54 callbacks suppressed
Dec 19 00:54:28 cimi org.kde.kwalletd5[10999]: Application ' "Google Chrome" ' using kwallet without parent window!
Dec 19 00:54:28 cimi kernel: [ 8844.617483] audit_printk_skb: 38 callbacks suppressed
Dec 19 00:54:41 cimi kernel: [ 8857.291410] audit_printk_skb: 45 callbacks suppressed
Dec 19 01:01:01 cimi systemd[1]: Created slice User Slice of root.
Dec 19 01:01:01 cimi systemd[1]: Starting User Manager for UID 0...
Dec 19 01:01:01 cimi systemd[1]: Started Session 10 of user root.
Dec 19 01:01:01 cimi systemd[2430]: Reached target Timers.
Dec 19 01:01:01 cimi systemd[2430]: Reached target Paths.
Dec 19 01:01:01 cimi systemd[2430]: Listening on D-Bus User Message Bus Socket.
Dec 19 01:01:01 cimi systemd[2430]: Reached target Sockets.
Dec 19 01:01:01 cimi systemd[2430]: Reached target Basic System.
Dec 19 01:01:01 cimi systemd[2430]: Started D-Bus User Message Bus.
Dec 19 01:01:01 cimi systemd[2430]: Reached target Default.
Dec 19 01:01:01 cimi systemd[2430]: Startup finished in 29ms.
Dec 19 01:01:01 cimi systemd[1]: Started User Manager for UID 0.
Dec 19 01:01:01 cimi CROND[2484]: (root) CMD (nice -n 19 run-parts --report /etc/cron.hourly)
Dec 19 01:01:01 cimi anacron[2506]: Anacron started on 2017-12-19
Dec 19 01:01:01 cimi anacron[2506]: Normal exit (0 jobs run)
Dec 19 01:01:01 cimi systemd[2430]: Stopped target Default.
Dec 19 01:01:01 cimi systemd[2430]: Stopping D-Bus User Message Bus...
Dec 19 01:01:01 cimi systemd[2430]: Stopped D-Bus User Message Bus.
Dec 19 01:01:01 cimi systemd[2430]: Stopped target Basic System.
Dec 19 01:01:01 cimi systemd[2430]: Stopped target Paths.
Dec 19 01:01:01 cimi systemd[2430]: Stopped target Sockets.
Dec 19 01:01:01 cimi systemd[2430]: Stopped target Timers.
Dec 19 01:01:01 cimi systemd[2430]: Closed D-Bus User Message Bus Socket.
Dec 19 01:01:01 cimi systemd[2430]: Reached target Shutdown.
Dec 19 01:01:01 cimi systemd[2430]: Starting Exit the Session...
Dec 19 01:01:01 cimi systemd[1]: Stopping User Manager for UID 0...
Dec 19 01:01:01 cimi systemd[2430]: Received SIGRTMIN+24 from PID 2568 (kill).
Dec 19 01:01:01 cimi systemd[1]: Stopped User Manager for UID 0.
Dec 19 01:01:01 cimi systemd[1]: Removed slice User Slice of root.
Dec 19 01:01:35 cimi kernel: [ 9270.855185] audit_printk_skb: 9 callbacks suppressed
Dec 19 01:03:12 cimi kernel: [ 9367.839438] audit_printk_skb: 24 callbacks suppressed
Dec 19 01:03:29 cimi kernel: [ 9385.102646] audit_printk_skb: 60 callbacks suppressed
Dec 19 01:03:48 cimi kernel: [ 9404.605234] audit_printk_skb: 15 callbacks suppressed
Dec 19 01:03:57 cimi kernel: [ 9413.134736] audit_printk_skb: 18 callbacks suppressed
Dec 19 01:23:51 cimi kernel: [10606.997131] audit_printk_skb: 36 callbacks suppressed
Dec 19 01:23:59 cimi kernel: [10615.614788] audit_printk_skb: 21 callbacks suppressed
Dec 19 01:34:02 cimi mdkapplet[11140]: Computing new updates...
Dec 19 01:34:02 cimi mdkapplet[11140]: running: urpmi.update --update
Dec 19 01:39:31 cimi mdkapplet[11140]: Checking... Updates are available
Dec 19 01:39:33 cimi mdkapplet[11140]: Launching RosaUpdate
Dec 19 01:39:33 cimi mdkapplet[11140]: running: RosaUpdate --no-media-update --no-confirmation --no-splash
Dec 19 01:39:34 cimi RosaUpdate[6876]: ### Program is starting ###
Dec 19 01:39:35 cimi RosaUpdate[6876]: opening the RPM database
Dec 19 01:39:37 cimi RosaUpdate[6876]: opening the RPM database
Dec 19 01:40:06 cimi kernel: [11581.814612] audit_printk_skb: 9 callbacks suppressed
Dec 19 01:40:43 cimi systemd[1]: Started Process Core Dump (PID 9766/UID 0).
Dec 19 01:40:44 cimi kernel: [11620.522124] Chrome_~dThread[2419]: segfault at 0 ip 00007ff09d1d3292 sp 00007ff0910fe5b0 error 6 in libxul.so[7ff09cd02000+4b8b000]
Dec 19 01:40:44 cimi kernel: [11620.522998] Chrome_~dThread[10878]: segfault at 0 ip 00007fc85e867292 sp 00007fc85b684b30 error 6 in libxul.so[7fc85e396000+4b8b000]
Dec 19 01:40:44 cimi kernel: [11620.523348] Chrome_~dThread[10945]: segfault at 0 ip 00007ff01b967292 sp 00007ff018784b30 error 6 in libxul.so[7ff01b496000+4b8b000]
Dec 19 01:40:44 cimi systemd[1]: Started Process Core Dump (PID 9879/UID 0).
Dec 19 01:40:44 cimi systemd[1]: Started Process Core Dump (PID 9878/UID 0).
Dec 19 01:40:44 cimi systemd[1]: Started Process Core Dump (PID 9880/UID 0).
Dec 19 01:41:08 cimi kernel: [11643.813917] audit_printk_skb: 3 callbacks suppressed
Dec 19 01:41:37 cimi systemd-coredump[9883]: Failed to generate stack trace: (null)
Dec 19 01:41:37 cimi systemd-coredump[9883]: Process 10940 (Web Content) of user 500 dumped core.
Dec 19 01:41:38 cimi systemd-coredump[9881]: Failed to generate stack trace: Unwinding not supported for this architecture
Dec 19 01:41:38 cimi systemd-coredump[9881]: Process 10874 (Web Content) of user 500 dumped core.
Dec 19 01:41:38 cimi systemd-coredump[9882]: Failed to generate stack trace: Unwinding not supported for this architecture
Dec 19 01:41:38 cimi systemd-coredump[9882]: Process 2417 (plugin-containe) of user 500 dumped core.
Dec 19 01:41:38 cimi systemd-coredump[9767]: Failed to generate stack trace: Unwinding not supported for this architecture
Dec 19 01:41:38 cimi systemd-coredump[9767]: Process 10769 (firefox) of user 500 dumped core.
Dec 19 01:42:25 cimi dbus[4559]: [system] Activating via systemd: service name='org.freedesktop.hostname1' unit='dbus-org.freedesktop.hostname1.service'
Dec 19 01:42:25 cimi systemd[1]: Starting Hostname Service...
Dec 19 01:42:25 cimi dbus[4559]: [system] Successfully activated service 'org.freedesktop.hostname1'
Dec 19 01:42:25 cimi systemd[1]: Started Hostname Service.
Dec 19 01:42:25 cimi gvfsd-network[12585]: Couldn't create directory monitor on smb://x-gnome-default-workgroup/. Error: Operation not supported by backend
Dec 19 01:42:25 cimi gvfsd-network[12585]: Couldn't create directory monitor on smb://x-gnome-default-workgroup/. Error: Operation not supported by backend
Dec 19 01:42:26 cimi gvfsd-network[12585]: Couldn't create directory monitor on smb://x-gnome-default-workgroup/. Error: Operation not supported by backend
Dec 19 01:43:03 cimi dbus[4559]: [system] Activating via systemd: service name='org.freedesktop.hostname1' unit='dbus-org.freedesktop.hostname1.service'
Dec 19 01:43:03 cimi systemd[1]: Starting Hostname Service...
Dec 19 01:43:03 cimi dbus[4559]: [system] Successfully activated service 'org.freedesktop.hostname1'
Dec 19 01:43:03 cimi systemd[1]: Started Hostname Service.
Dec 19 01:49:07 cimi RosaUpdate: transaction on / (remove=0, install=0, upgrade=37)
Dec 19 01:50:40 cimi RosaUpdate[6876]: running: rpm -ql libqt5dbus5-5.9.3-2-rosa2016.1
Dec 19 01:50:40 cimi RosaUpdate[6876]: running: rpm -ql libqt5printsupport5-5.9.3-2-rosa2016.1
Dec 19 01:50:40 cimi RosaUpdate[6876]: running: rpm -ql lib64wx_baseu_xml3.0_0-3.0.3-2-rosa2016.1
Dec 19 01:50:41 cimi RosaUpdate[6876]: running: rpm -ql lib64qt5core5-5.9.3-2-rosa2016.1
Dec 19 01:50:41 cimi RosaUpdate[6876]: running: rpm -ql lib64wx_gtk2u_adv3.0_0-3.0.3-2-rosa2016.1
Dec 19 01:50:41 cimi RosaUpdate[6876]: running: rpm -ql lib64mysqlclient18-10.1.29-1-rosa2016.1
Dec 19 01:50:41 cimi RosaUpdate[6876]: running: rpm -ql lib64qt5gui5-minimal-5.9.3-2-rosa2016.1
Dec 19 01:50:41 cimi RosaUpdate[6876]: running: rpm -ql libqt5network5-5.9.3-2-rosa2016.1
Dec 19 01:50:41 cimi RosaUpdate[6876]: running: rpm -ql lib64qt5xcbqpa5-egl-5.9.3-2-rosa2016.1
Dec 19 01:50:41 cimi RosaUpdate[6876]: running: rpm -ql libqt5xml5-5.9.3-2-rosa2016.1
Dec 19 01:50:41 cimi RosaUpdate[6876]: running: rpm -ql lib64qt5sql5-5.9.3-2-rosa2016.1
Dec 19 01:50:41 cimi RosaUpdate[6876]: running: rpm -ql hw-probe-1.3-1-rosa2016.1
Dec 19 01:50:41 cimi RosaUpdate[6876]: running: rpm -ql lib64qt5network5-5.9.3-2-rosa2016.1
Dec 19 01:50:42 cimi RosaUpdate[6876]: running: rpm -ql lib64wx_gtk2u_qa3.0_0-3.0.3-2-rosa2016.1
Dec 19 01:50:42 cimi RosaUpdate[6876]: running: rpm -ql smplayer-17.11.2-1-rosa2016.1
Dec 19 01:50:42 cimi RosaUpdate[6876]: running: rpm -ql lib64qt5xcbqpa5-5.9.3-2-rosa2016.1
Dec 19 01:50:42 cimi RosaUpdate[6876]: running: rpm -ql lib64qt5concurrent5-5.9.3-2-rosa2016.1
Dec 19 01:50:42 cimi RosaUpdate[6876]: running: rpm -ql lib64qt5test5-5.9.3-2-rosa2016.1
Dec 19 01:50:42 cimi RosaUpdate[6876]: running: rpm -ql hw-probe-gui-1.3-1-rosa2016.1
Dec 19 01:50:42 cimi RosaUpdate[6876]: running: rpm -ql lib64qt5sql5-sqlite-5.9.3-2-rosa2016.1
Dec 19 01:50:42 cimi RosaUpdate[6876]: running: rpm -ql lib64qt5printsupport5-5.9.3-2-rosa2016.1
Dec 19 01:50:42 cimi RosaUpdate[6876]: running: rpm -ql lib64wx_baseu_net3.0_0-3.0.3-2-rosa2016.1
Dec 19 01:50:42 cimi RosaUpdate[6876]: running: rpm -ql lib64wx_gtk2u_core3.0_0-3.0.3-2-rosa2016.1
Dec 19 01:50:42 cimi RosaUpdate[6876]: running: rpm -ql lib64qt5xml5-5.9.3-2-rosa2016.1
Dec 19 01:50:42 cimi RosaUpdate[6876]: running: rpm -ql lib64wx_baseu3.0_0-3.0.3-2-rosa2016.1
Dec 19 01:50:43 cimi RosaUpdate[6876]: running: rpm -ql wxgtk3.0-3.0.3-2-rosa2016.1
Dec 19 01:50:43 cimi RosaUpdate[6876]: running: rpm -ql libqt5core5-5.9.3-2-rosa2016.1
Dec 19 01:50:43 cimi RosaUpdate[6876]: running: rpm -ql lib64qt5opengl5-5.9.3-2-rosa2016.1
Dec 19 01:50:43 cimi RosaUpdate[6876]: running: rpm -ql libqt5gui5-5.9.3-2-rosa2016.1
Dec 19 01:50:43 cimi RosaUpdate[6876]: running: rpm -ql libqt5widgets5-5.9.3-2-rosa2016.1
Dec 19 01:50:43 cimi RosaUpdate[6876]: running: rpm -ql mariadb-client-10.1.29-1-rosa2016.1
Dec 19 01:50:43 cimi RosaUpdate[6876]: running: rpm -ql lib64qt5dbus5-5.9.3-2-rosa2016.1
Dec 19 01:50:43 cimi RosaUpdate[6876]: running: rpm -ql lib64qt5gui5-x11-5.9.3-2-rosa2016.1
Dec 19 01:50:43 cimi RosaUpdate[6876]: running: rpm -ql lib64qt5xcbqpa5-glx-5.9.3-2-rosa2016.1
Dec 19 01:50:43 cimi RosaUpdate[6876]: running: rpm -ql lib64qt5gui5-5.9.3-2-rosa2016.1
Dec 19 01:50:43 cimi RosaUpdate[6876]: running: rpm -ql lib64qt5widgets5-5.9.3-2-rosa2016.1
Dec 19 01:50:44 cimi RosaUpdate[6876]: running: rpm -ql lib64wx_gtk2u_html3.0_0-3.0.3-2-rosa2016.1
Dec 19 01:50:45 cimi RosaUpdate[6876]: opening the RPM database
^Z
[5]+  Stopped                 sudo tail -f /var/log/messages
cimi cimi # urpmi.update updates && urpmi --update --auto-select
medium "Main Updates" is up-to-date
medium "Main32 Updates" is up-to-date
medium "Contrib Updates" is up-to-date
medium "Non-free Updates" is up-to-date
medium "Non-free32 Updates" is up-to-date
medium "Restricted Updates" is up-to-date
medium "Restricted32 Updates" is up-to-date
medium "Main Updates2" is up-to-date
medium "Main32 Updates2" is up-to-date
medium "Contrib Updates2" is up-to-date
medium "Non-free Updates2" is up-to-date
medium "Non-free32 Updates2" is up-to-date
medium "Restricted Updates2" is up-to-date
medium "Restricted32 Updates2" is up-to-date
Packages are up to date
cimi cimi # dmesg |grep -i bluetooth
[   13.503059] Bluetooth: Core ver 2.22
[   13.503071] Bluetooth: HCI device and connection manager initialized
[   13.503074] Bluetooth: HCI socket layer initialized
[   13.503076] Bluetooth: L2CAP socket layer initialized
[   13.503082] Bluetooth: SCO socket layer initialized
[   13.642317] Bluetooth: hci0: read Intel version: 3707100180012d0d27
[   13.642318] Bluetooth: hci0: Intel device is already patched. patch num: 27
[   20.378554] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   20.378555] Bluetooth: BNEP filters: protocol multicast
[   20.378557] Bluetooth: BNEP socket layer initialized
[  105.786378] Bluetooth: RFCOMM TTY layer initialized
[  105.786385] Bluetooth: RFCOMM socket layer initialized
[  105.786391] Bluetooth: RFCOMM ver 1.11
cimi cimi # uname -r
4.9.60-nrj-desktop-1rosa-x86_64
cimi cimi # sudo lsmod |grep blue
bluetooth             548864  33 btrtl,btintel,bnep,btbcm,rfcomm,btusb
rfkill                 24576  8 bluetooth,acer_wmi,cfg80211
cimi cimi # systemctl enable bluetooth.service
cimi cimi # systemctl start bluetooth.service
cimi cimi # hcitool scan
Scanning ...
        4C:18:9A:67:C0:38       manic depression
cimi cimi # modprobe bluetooth
cimi cimi # modprobe -r bluetooth
modprobe: FATAL: Module bluetooth is in use.
cimi cimi # hciconfig -a
hci0:   Type: Primary  Bus: USB
        BD Address: D8:FC:93:11:D3:A1  ACL MTU: 1021:5  SCO MTU: 96:6
        UP RUNNING PSCAN ISCAN INQUIRY 
        RX bytes:2819316 acl:16 sco:0 events:15046 errors:0
        TX bytes:25923 acl:16 sco:0 commands:3053 errors:0
        Features: 0xff 0xfe 0x0f 0xfe 0xdb 0xff 0x7b 0x87
        Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3 
        Link policy: RSWITCH HOLD SNIFF 
        Link mode: SLAVE ACCEPT 
        Name: 'cimi'
        Class: 0x0c010c
        Service Classes: Rendering, Capturing
        Device Class: Computer, Laptop
        HCI Version: 4.0 (0x6)  Revision: 0xe00
        LMP Version: 4.0 (0x6)  Subversion: 0xe00
        Manufacturer: Intel Corp. (2)

cimi cimi # modprobe btusb
cimi cimi # sudo systemctl enable bluetooth.service -f
cimi cimi # sudo systemctl start bluetooth.service -f
cimi cimi # hcitool scan
Scanning ...
        4C:18:9A:67:C0:38       manic depression
cimi cimi #
Comment 9 daz 2017-12-19 18:13:00 MSK
Have fun with this one. NOTE: During this test, I also was trying the ability to use a USB Bluetooth device with mixed feedback of working on some Linux OS.

Anyway, here is the output of my latest efforts.


cimi ~ $ sudo rfkill list
[sudo] password for cimi: 
Sorry, try again.
[sudo] password for cimi: 
\Sorry, try again.
[sudo] password for cimi: 
sudo: 3 incorrect password attempts
cimi@cimi ~ $ su
Password: 
su: Authentication failure
cimi@cimi ~ $ Tahnee%
bash: Tahnee%: command not found
cimi@cimi ~ $ su
\Password: 
 
^Z
[1]+  Stopped                 su
cimi@cimi ~ $ su
Password: 
^Z
[2]+  Stopped                 su
cimi@cimi ~ $ su
Password: 
su: Authentication failure
cimi@cimi ~ $ su
\Password: 
su: Authentication failure
cimi@cimi ~ $ su
Password: 
cimi cimi #  sudo rfkill list
0: hci0: Bluetooth
        Soft blocked: no
        Hard blocked: no
1: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no
2: acer-wireless: Wireless LAN
        Soft blocked: no
        Hard blocked: no
3: acer-bluetooth: Bluetooth
        Soft blocked: no                                                                                                                                                
        Hard blocked: no                                                                                                                                                
4: hci1: Bluetooth                                                                                                                                                      
        Soft blocked: no
        Hard blocked: no
cimi cimi # sudo rfkill unblock bluetooth
cimi cimi # sudo service bluetooth start
Redirecting to /bin/systemctl start  bluetooth.service
cimi cimi # urpmi blueman
Package blueman-2.1.0-2.1.alpha1-rosa2016.1.x86_64 is already installed
cimi cimi # urpmi firmware-atheros
No package named firmware-atheros
cimi cimi # urpmi firmware
No package named firmware
The following packages contain firmware: alsa-firmware, alsa-tools-firmware, asterisk-firmware, atmel-firmware, ...
You should use "-a" to use all of them
cimi cimi # urpmi alsa-firmware alsa-tools-firmware asterisk-firmware atmel-firmware
GOT: asterisk-core-sounds-en-1.4.25-6-rosa2016.1.noarch
GOT: asterisk-core-sounds-en_AU-1.4.25-5-rosa2016.1.noarch
GOT: asterisk-core-sounds-fr-1.4.25-4-rosa2016.1.noarch
GOT: asterisk-core-sounds-es-1.4.25-4-rosa2016.1.noarch
GOT: asterisk-core-sounds-ru-1.4.25-4-rosa2016.1.noarch
Packages alsa-firmware-1.0.29-3-rosa2016.1.noarch, atmel-firmware-1.3-4-rosa2016.1.noarch are already installed
To satisfy dependencies, the following packages are going to be installed:
 Package                        Version      Release       Dist  DEpoch Arch 
(medium "Main Updates")
 mpg123                         1.24.0       1             rosa  2016.1 x86_64 
(medium "Contrib")
 asterisk-core-sounds-en        1.4.25       6             rosa  2016.1 noarch 
 asterisk-firmware              13.7.2       7             rosa  2016.1 x86_64 
 asterisk-moh-opsound           20091226     6             rosa  2016.1 noarch 
 lib64iksemel3                  1.4          7             rosa  2016.1 x86_64 
 lib64ilbc2                     2.0.2        3             rosa  2016.1 x86_64 
 lib64spandsp2                  0.0.6        0.pre21       rosa  2016.1 x86_64 
(medium "Main2")
 lib64gmime2.6_0                2.6.21       2             rosa  2016.1 x86_64 
(medium "Main Updates2")
 alsa-tools-firmware            1.1.3        1             rosa  2016.1 x86_64 
(medium "Contrib2")
 asterisk                       13.7.2       7             rosa  2016.1 x86_64 
 lib64asteriskssl1              13.7.2       7             rosa  2016.1 x86_64 
 lib64nbs1                      1.0          0.20040615.6  rosa  2016.1 x86_64 
 lib64srtp1                     1.5.3        3             rosa  2016.1 x86_64 
213MB of additional disk space will be used.
162MB of packages will be retrieved.
Proceed with the installation of the 13 packages? (Y/n) y
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/main/release/lib64gmime2.6_0-2.6.21-2-rosa2016.1.x86_64.rpm                                        
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/main/updates/mpg123-1.24.0-1-rosa2016.1.x86_64.rpm                                                 
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/main/updates/alsa-tools-firmware-1.1.3-1-rosa2016.1.x86_64.rpm                                     
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/contrib/release/asterisk-firmware-13.7.2-7-rosa2016.1.x86_64.rpm                                   
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/contrib/release/lib64spandsp2-0.0.6-0.pre21-rosa2016.1.x86_64.rpm                                  
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/contrib/release/asterisk-core-sounds-en-1.4.25-6-rosa2016.1.noarch.rpm                             
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/contrib/release/lib64iksemel3-1.4-7-rosa2016.1.x86_64.rpm                                          
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/contrib/release/lib64ilbc2-2.0.2-3-rosa2016.1.x86_64.rpm                                           
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/contrib/release/asterisk-13.7.2-7-rosa2016.1.x86_64.rpm                                            
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/contrib/release/asterisk-moh-opsound-20091226-6-rosa2016.1.noarch.rpm                              
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/contrib/release/lib64asteriskssl1-13.7.2-7-rosa2016.1.x86_64.rpm                                   
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/contrib/release/lib64nbs1-1.0-0.20040615.6-rosa2016.1.x86_64.rpm                                   
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/contrib/release/lib64srtp1-1.5.3-3-rosa2016.1.x86_64.rpm                                           
                                                                                                                                                                        
                                                                                                                                                                        
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/main/release/lib64gmime2.6_0-2.6.21-2-rosa2016.1.x86_64.rpm                                        
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/main/updates/alsa-tools-firmware-1.1.3-1-rosa2016.1.x86_64.rpm                                     
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/contrib/release/asterisk-13.7.2-7-rosa2016.1.x86_64.rpm                             
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/contrib/release/lib64asteriskssl1-13.7.2-7-rosa2016.1.x86_64.rpm                    
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/contrib/release/lib64srtp1-1.5.3-3-rosa2016.1.x86_64.rpm                            
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/contrib/release/lib64nbs1-1.0-0.20040615.6-rosa2016.1.x86_64.rpm                    
installing alsa-tools-firmware-1.1.3-1-rosa2016.1.x86_64.rpm lib64iksemel3-1.4-7-rosa2016.1.x86_64.rpm mpg123-1.24.0-1-rosa2016.1.x86_64.rpm asterisk-firmware-13.7.2-7-rosa2016.1.x86_64.rpm lib64spandsp2-0.0.6-0.pre21-rosa2016.1.x86_64.rpm asterisk-core-sounds-en-1.4.25-6-rosa2016.1.noarch.rpm lib64nbs1-1.0-0.20040615.6-rosa2016.1.x86_64.rpm asterisk-moh-opsound-20091226-6-rosa2016.1.noarch.rpm lib64gmime2.6_0-2.6.21-2-rosa2016.1.x86_64.rpm lib64ilbc2-2.0.2-3-rosa2016.1.x86_64.rpm asterisk-13.7.2-7-rosa2016.1.x86_64.rpm lib64asteriskssl1-13.7.2-7-rosa2016.1.x86_64.rpm lib64srtp1-1.5.3-3-rosa2016.1.x86_64.rpm from /var/cache/urpmi/rpms
Preparing...                     #######################################################################################################################
     1/13: lib64srtp1            #######################################################################################################################
     2/13: lib64asteriskssl1     #######################################################################################################################
     3/13: lib64ilbc2            #######################################################################################################################
     4/13: lib64gmime2.6_0       #######################################################################################################################
     5/13: lib64nbs1             #######################################################################################################################
     6/13: lib64spandsp2         #######################################################################################################################
     7/13: lib64iksemel3         #######################################################################################################################
     8/13: mpg123                #######################################################################################################################
     9/13: alsa-tools-firmware   #######################################################################################################################
    10/13: asterisk-moh-opsound  #######################################################################################################################
    11/13: asterisk-core-sounds-en
                                 #######################################################################################################################
    12/13: asterisk              #######################################################################################################################
Adding setuid root to /usr/bin/mpg123, needed for MOH
    13/13: asterisk-firmware     #######################################################################################################################
cimi cimi # sudo service bluetooth start
Redirecting to /bin/systemctl start  bluetooth.service
cimi cimi # sudo rfkill list
0: hci0: Bluetooth
        Soft blocked: no
        Hard blocked: no
1: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no
2: acer-wireless: Wireless LAN
        Soft blocked: no
        Hard blocked: no
3: acer-bluetooth: Bluetooth
        Soft blocked: no
        Hard blocked: no
4: hci1: Bluetooth
        Soft blocked: no
        Hard blocked: no
cimi cimi # sudo rfkill unblock bluetooth
cimi cimi # sudo hciconfig hci0 up
cimi cimi # hcitool scan
Scanning ...
        D8:FC:93:11:D3:A1       cimi
        4C:18:9A:67:C0:38       manic depression
cimi cimi # sudo rfkill list
0: hci0: Bluetooth
        Soft blocked: no
        Hard blocked: no
1: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no
2: acer-wireless: Wireless LAN
        Soft blocked: no
        Hard blocked: no
3: acer-bluetooth: Bluetooth
        Soft blocked: no
        Hard blocked: no
4: hci1: Bluetooth
        Soft blocked: no
        Hard blocked: no
cimi cimi # sudo rfkill list
0: hci0: Bluetooth
        Soft blocked: no
        Hard blocked: no
1: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no
2: acer-wireless: Wireless LAN
        Soft blocked: no
        Hard blocked: no
3: acer-bluetooth: Bluetooth
        Soft blocked: no
        Hard blocked: no
4: hci1: Bluetooth
        Soft blocked: no
        Hard blocked: no
cimi cimi # sudo service bluetooth start
Redirecting to /bin/systemctl start  bluetooth.service
cimi cimi # sudo rfkill list
0: hci0: Bluetooth
        Soft blocked: no
        Hard blocked: no
1: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no
2: acer-wireless: Wireless LAN
        Soft blocked: no
        Hard blocked: no
3: acer-bluetooth: Bluetooth
        Soft blocked: no
        Hard blocked: no
4: hci1: Bluetooth
        Soft blocked: no
        Hard blocked: no
cimi cimi # sudo rfkill unblock bluetooth
cimi cimi # sudo hciconfig hci0 up
cimi cimi # hcitool scan
Scanning ...
        D8:FC:93:11:D3:A1       cimi
        4C:18:9A:67:C0:38       manic depression
cimi cimi # lsusb
Bus 001 Device 002: ID 8087:8001 Intel Corp. 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 002 Device 005: ID 04f2:b452 Chicony Electronics Co., Ltd 
Bus 002 Device 003: ID 8087:07dc Intel Corp. 
Bus 002 Device 007: ID 0a5c:21e8 Broadcom Corp. BCM20702A0 Bluetooth 4.0
Bus 002 Device 006: ID 046d:c534 Logitech, Inc. Unifying Receiver
Bus 002 Device 004: ID 0dd8:ac00 Netac Technology Co., Ltd 
Bus 002 Device 002: ID 1a40:0101 Terminus Technology Inc. Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
cimi cimi # hcitool dev
Devices:
        hci1    5C:F3:70:84:4B:32
        hci0    D8:FC:93:11:D3:A1
cimi cimi # hciconfig
hci1:   Type: Primary  Bus: USB
        BD Address: 5C:F3:70:84:4B:32  ACL MTU: 1021:8  SCO MTU: 64:1
        UP RUNNING 
        RX bytes:3146 acl:0 sco:0 events:73 errors:0
        TX bytes:3005 acl:0 sco:0 commands:59 errors:0

hci0:   Type: Primary  Bus: USB
        BD Address: D8:FC:93:11:D3:A1  ACL MTU: 1021:5  SCO MTU: 96:6
        UP RUNNING PSCAN ISCAN 
        RX bytes:1905 acl:0 sco:0 events:184 errors:0
        TX bytes:24749 acl:0 sco:0 commands:183 errors:0

cimi cimi # hciconfig -a hci0
hci0:   Type: Primary  Bus: USB
        BD Address: D8:FC:93:11:D3:A1  ACL MTU: 1021:5  SCO MTU: 96:6
        UP RUNNING PSCAN ISCAN 
        RX bytes:1905 acl:0 sco:0 events:184 errors:0
        TX bytes:24749 acl:0 sco:0 commands:183 errors:0
        Features: 0xff 0xfe 0x0f 0xfe 0xdb 0xff 0x7b 0x87
        Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3 
        Link policy: RSWITCH HOLD SNIFF 
        Link mode: SLAVE ACCEPT 
        Name: 'cimi'
        Class: 0x0c010c
        Service Classes: Rendering, Capturing
        Device Class: Computer, Laptop
        HCI Version: 4.0 (0x6)  Revision: 0xe00
        LMP Version: 4.0 (0x6)  Subversion: 0xe00
        Manufacturer: Intel Corp. (2)

cimi cimi #  hciconfig -a hci1
hci1:   Type: Primary  Bus: USB
        BD Address: 5C:F3:70:84:4B:32  ACL MTU: 1021:8  SCO MTU: 64:1
        UP RUNNING 
        RX bytes:3146 acl:0 sco:0 events:73 errors:0
        TX bytes:3005 acl:0 sco:0 commands:59 errors:0
        Features: 0xbf 0xfe 0xcf 0xfe 0xdb 0xff 0x7b 0x87
        Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3 
        Link policy: RSWITCH SNIFF 
        Link mode: SLAVE ACCEPT 
        Name: 'cimi #2'
        Class: 0x0c010c
        Service Classes: Rendering, Capturing
        Device Class: Computer, Laptop
        HCI Version: 4.0 (0x6)  Revision: 0x1000
        LMP Version: 4.0 (0x6)  Subversion: 0x220e
        Manufacturer: Broadcom Corporation (15)

cimi cimi # modprobe btusb
cimi cimi # bluetoothctl
[NEW] Controller 5C:F3:70:84:4B:32 cimi #2 [default]
[NEW] Controller D8:FC:93:11:D3:A1 cimi 
[NEW] Device 4C:18:9A:67:C0:38 manic depression
Agent registered
[bluetooth]# 
[1]+  Stopped                 bluetoothctl
cimi cimi # vim /etc/bluetooth/main.conf

[2]+  Stopped                 vim /etc/bluetooth/main.conf
cimi cimi # vim /etc/bluetooth/main.conf

[3]+  Stopped                 vim /etc/bluetooth/main.conf
cimi cimi # gnome-control-center bluetooth
bash: gnome-control-center: command not found
cimi cimi # sudo gnome-control-center bluetooth
sudo: gnome-control-center: command not found
cimi cimi # vim /etc/bluetooth/audio.conf

[4]+  Stopped                 vim /etc/bluetooth/audio.conf
cimi cimi #  vim /etc/bluetooth/audio.conf

[5]+  Stopped                 vim /etc/bluetooth/audio.conf
cimi cimi # vim /etc/bluetooth/audio.conf
cimi cimi # vim /etc/bluetooth/audio.conf

[6]+  Stopped                 vim /etc/bluetooth/audio.conf
cimi cimi # lsusb
Bus 001 Device 002: ID 8087:8001 Intel Corp. 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 002 Device 005: ID 04f2:b452 Chicony Electronics Co., Ltd 
Bus 002 Device 003: ID 8087:07dc Intel Corp. 
Bus 002 Device 007: ID 0a5c:21e8 Broadcom Corp. BCM20702A0 Bluetooth 4.0
Bus 002 Device 010: ID 046d:c534 Logitech, Inc. Unifying Receiver
Bus 002 Device 009: ID 0dd8:ac00 Netac Technology Co., Ltd 
Bus 002 Device 008: ID 1a40:0101 Terminus Technology Inc. Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
cimi cimi # urpmi openobex
No package named openobex
The following packages contain openobex: lib64openobex-devel, lib64openobex2, libopenobex-devel, libopenobex2, ...
You should use "-a" to use all of them
cimi cimi # lib64openobex-devel lib64openobex2 libopenobex-devel libopenobex2
bash: lib64openobex-devel: command not found
cimi cimi # urpmi  lib64openobex-devel lib64openobex2 libopenobex-devel libopenobex2
Package lib64openobex2-1.7.2-4-rosa2016.1.x86_64 is already installed
Marking lib64openobex2 as manually installed, it won't be auto-orphaned
writing /var/lib/rpm/installed-through-deps.list
To satisfy dependencies, the following packages are going to be installed:
 Package                        Version      Release       Dist  DEpoch Arch 
(medium "Main32")
 libopenobex-devel              1.7.2        4             rosa  2016.1 i586 
(medium "Main32 Updates")
 libudev-devel                  230          6             rosa  2016.1 i586 
 libusb1.0-devel                1.0.21       1             rosa  2016.1 i586 
(medium "Main2")
 lib64openobex-devel            1.7.2        4             rosa  2016.1 x86_64 
(medium "Main Updates2")
 lib64usb1.0-devel              1.0.21       1             rosa  2016.1 x86_64 
 libusb-devel-doc               1.0.21       1             rosa  2016.1 noarch 
(medium "Main322")
 libopenobex2                   1.7.2        4             rosa  2016.1 i586 
(medium "Main32 Updates2")
 libusb1.0_0                    1.0.21       1             rosa  2016.1 i586 
(medium "bluez-test")
 lib64bluez-devel               5.47         1             rosa  2016.1 x86_64 
2.1MB of additional disk space will be used.
407KB of packages will be retrieved.
Proceed with the installation of the 9 packages? (Y/n) y
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/main/release/lib64openobex-devel-1.7.2-4-rosa2016.1.x86_64.rpm
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/main/updates/libusb-devel-doc-1.0.21-1-rosa2016.1.noarch.rpm                                      
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/main/updates/lib64usb1.0-devel-1.0.21-1-rosa2016.1.x86_64.rpm                                     
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/i586/media/main/release/libopenobex2-1.7.2-4-rosa2016.1.i586.rpm                                               
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/i586/media/main/release/libopenobex-devel-1.7.2-4-rosa2016.1.i586.rpm                                          
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/i586/media/main/updates/libusb1.0_0-1.0.21-1-rosa2016.1.i586.rpm                                               
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/i586/media/main/updates/libusb1.0-devel-1.0.21-1-rosa2016.1.i586.rpm                                           
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/i586/media/main/updates/libudev-devel-230-6-rosa2016.1.i586.rpm                                                
    http://abf-downloads.rosalinux.ru/rosa2016.1/container/2914565/x86_64/main/release/lib64bluez-devel-5.47-1-rosa2016.1.x86_64.rpm                                   
                                                                                                                                                                       

    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/main/release/lib64openobex-devel-1.7.2-4-rosa2016.1.x86_64.rpm
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/main/updates/lib64usb1.0-devel-1.0.21-1-rosa2016.1.x86_64.rpm                                     
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/main/updates/libusb-devel-doc-1.0.21-1-rosa2016.1.noarch.rpm                                      
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/i586/media/main/release/libopenobex2-1.7.2-4-rosa2016.1.i586.rpm                                               
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/i586/media/main/updates/libusb1.0_0-1.0.21-1-rosa2016.1.i586.rpm                                               
installing libopenobex2-1.7.2-4-rosa2016.1.i586.rpm lib64bluez-devel-5.47-1-rosa2016.1.x86_64.rpm lib64openobex-devel-1.7.2-4-rosa2016.1.x86_64.rpm lib64usb1.0-devel-1.0.21-1-rosa2016.1.x86_64.rpm libusb-devel-doc-1.0.21-1-rosa2016.1.noarch.rpm libudev-devel-230-6-rosa2016.1.i586.rpm libusb1.0_0-1.0.21-1-rosa2016.1.i586.rpm libusb1.0-devel-1.0.21-1-rosa2016.1.i586.rpm libopenobex-devel-1.7.2-4-rosa2016.1.i586.rpm from /var/cache/urpmi/rpms
Preparing...                     #####################################################################################################################################
      1/9: libusb-devel-doc      #####################################################################################################################################
      2/9: libudev-devel         #####################################################################################################################################
      3/9: lib64bluez-devel      #####################################################################################################################################
      4/9: libusb1.0_0           #####################################################################################################################################
      5/9: lib64usb1.0-devel     #####################################################################################################################################
      6/9: libusb1.0-devel       #####################################################################################################################################
      7/9: libopenobex2          #####################################################################################################################################
      8/9: lib64openobex-devel   #####################################################################################################################################
      9/9: libopenobex-devel     #####################################################################################################################################
cimi cimi # urpme bluez
To satisfy dependencies, the following 2 packages will be removed (4.6MB):
  bluez-5.47-1-rosa2016.1.x86_64
  gnome-bluetooth-3.20.1-1-rosa2016.1.x86_64
   (due to missing bluez)
Remove 2 packages? (y/N) y
removing bluez-5.47-1-rosa2016.1.x86_64 gnome-bluetooth-3.20.1-1-rosa2016.1.x86_64
removing package gnome-bluetooth-3.20.1-1.x86_64
      1/2: removing gnome-bluetooth-3.20.1-1.x86_64
                                 #####################################################################################################################################
removing package bluez-5.47-1.x86_64
      2/2: removing bluez-5.47-1.x86_64
                                 #####################################################################################################################################

The following packages:
  kernel-nrj-desktop-4.9.20-1rosa-x86_64-1-1-rosa2016.1.x86_64
  kernel-nrj-desktop-devel-4.9.20-1rosa-x86_64-1-1-rosa2016.1.x86_64
  lib64apm1-3.2.2-34-rosa2016.1.x86_64
  lib64echonest2.3-2.3.0-3-rosa2016.1.x86_64
  lib64gltf0.0_0-0.0.2-5-rosa2016.1.x86_64
  lib64hd20-20.2-6-rosa2016.1.x86_64
  lib64k3bdevice6-2.0.3-3plf-plf2016.1.x86_64
  lib64k3blib6-2.0.3-3plf-plf2016.1.x86_64
  lib64kcddb4-16.08.2-2-rosa2016.1.x86_64
  lib64kerfuffle16-16.12.3-1-rosa2016.1.x86_64
  lib64kms1-2.4.80-1-rosa2016.1.x86_64
  lib64konsoleprivate16-16.12.3-1-rosa2016.1.x86_64
  lib64kwineffects10-5.9.4-1-rosa2016.1.x86_64
  lib64kwinglutils10-5.9.4-1-rosa2016.1.x86_64
  lib64kwinxrenderutils10-5.9.4-1-rosa2016.1.x86_64
  lib64molletnetwork5_5-16.12.3-1-rosa2016.1.x86_64
  lib64orcus-parser0.11_0-0.11.2-3-rosa2016.1.x86_64
  lib64orcus0.11_0-0.11.2-3-rosa2016.1.x86_64
  lib64qpulseaudioprivate0-5.9.4-1-rosa2016.1.x86_64
  lib64qt5clucene5-5.8.0-2-rosa2016.1.x86_64
  libkcddb-16.08.2-2-rosa2016.1.x86_64
  plasma5-applet-mediacontroller-5.10.5-3-rosa2016.1.x86_64
are now orphaned, if you wish to remove them, you can use "urpme --auto-orphans"
cimi cimi # urpmi bluez
    http://abf-downloads.rosalinux.ru/rosa2016.1/container/2914565/x86_64/main/release/bluez-5.47-1-rosa2016.1.x86_64.rpm
                                                                                                                                                                       

installing bluez-5.47-1-rosa2016.1.x86_64.rpm from /var/cache/urpmi/rpms
Preparing...                     #####################################################################################################################################
      1/1: bluez                 #####################################################################################################################################
cimi cimi # urpmi kdebluetooth
No package named kdebluetooth
cimi cimi # sudo rfkill list
0: hci0: Bluetooth
        Soft blocked: no
        Hard blocked: no
1: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no
2: acer-wireless: Wireless LAN
        Soft blocked: no
        Hard blocked: no
3: acer-bluetooth: Bluetooth
        Soft blocked: no
        Hard blocked: no
4: hci1: Bluetooth
        Soft blocked: no
        Hard blocked: no
cimi cimi # hcitool scan
Device is not available: No such device
cimi cimi # hcitool scan
Device is not available: No such device
cimi cimi # sudo rfkill unblock bluetooth
cimi cimi # sudo systemctl status bluetooth.service
● bluetooth.service - Bluetooth service
   Loaded: loaded (/lib/systemd/system/bluetooth.service; enabled; vendor preset: enabled)
   Active: inactive (dead) since Wed 2017-12-20 00:13:19 AEDT; 7min ago
     Docs: man:bluetoothd(8)
 Main PID: 4585 (code=exited, status=0/SUCCESS)
   Status: "Quitting"

Dec 19 20:17:11 cimi bluetoothd[4585]: Endpoint registered: sender=:1.44 path=/MediaEndpoint/A2DPSink
Dec 20 00:13:18 cimi systemd[1]: Stopping Bluetooth service...
Dec 20 00:13:18 cimi bluetoothd[4585]: Terminating
Dec 20 00:13:18 cimi bluetoothd[4585]: Endpoint unregistered: sender=:1.44 path=/MediaEndpoint/A2DPSource
Dec 20 00:13:18 cimi bluetoothd[4585]: Endpoint unregistered: sender=:1.44 path=/MediaEndpoint/A2DPSink
Dec 20 00:13:18 cimi bluetoothd[4585]: Endpoint unregistered: sender=:1.44 path=/MediaEndpoint/A2DPSource
Dec 20 00:13:18 cimi bluetoothd[4585]: Endpoint unregistered: sender=:1.44 path=/MediaEndpoint/A2DPSink
Dec 20 00:13:19 cimi bluetoothd[4585]: Stopping SDP server
Dec 20 00:13:19 cimi bluetoothd[4585]: Exit
Dec 20 00:13:19 cimi systemd[1]: Stopped Bluetooth service.
cimi cimi # sudo systemctl start bluetooth.service
cimi cimi # sudo hciconfig hci0 up
cimi cimi # hcitool scan
Scanning ...
        D8:FC:93:11:D3:A1       BlueZ 5.47
cimi cimi # sdptool browse D8:FC:93:11:D3:A1
Browsing D8:FC:93:11:D3:A1 ...
Service RecHandle: 0x10000
Service Class ID List:
  "PnP Information" (0x1200)
Profile Descriptor List:
  "PnP Information" (0x1200)
    Version: 0x0103

Browsing D8:FC:93:11:D3:A1 ...
Service Search failed: Invalid argument
Service Name: Generic Access Profile
Service Provider: BlueZ
Service RecHandle: 0x10005
Service Class ID List:
  "Generic Access" (0x1800)
Protocol Descriptor List:
  "L2CAP" (0x0100)
    PSM: 31
  "ATT" (0x0007)
    uint16: 0x0001
    uint16: 0x0005

Service Name: Generic Attribute Profile
Service Provider: BlueZ
Service RecHandle: 0x10006
Service Class ID List:
  "Generic Attribute" (0x1801)
Protocol Descriptor List:
  "L2CAP" (0x0100)
    PSM: 31
  "ATT" (0x0007)
    uint16: 0x0006
    uint16: 0x0009

Service Name: AVRCP CT
Service RecHandle: 0x10007
Service Class ID List:
  "AV Remote" (0x110e)
  "AV Remote Controller" (0x110f)
Protocol Descriptor List:
  "L2CAP" (0x0100)
    PSM: 23
  "AVCTP" (0x0017)
    uint16: 0x0103
Profile Descriptor List:
  "AV Remote" (0x110e)
    Version: 0x0106

Service Name: AVRCP TG
Service RecHandle: 0x10008
Service Class ID List:
  "AV Remote Target" (0x110c)
Protocol Descriptor List:
  "L2CAP" (0x0100)
    PSM: 23
  "AVCTP" (0x0017)
    uint16: 0x0103
Profile Descriptor List:
  "AV Remote" (0x110e)
    Version: 0x0105

Service Name: Audio Source
Service RecHandle: 0x10009
Service Class ID List:
  "Audio Source" (0x110a)
Protocol Descriptor List:
  "L2CAP" (0x0100)
    PSM: 25
  "AVDTP" (0x0019)
    uint16: 0x0103
Profile Descriptor List:
  "Advanced Audio" (0x110d)
    Version: 0x0103

Service Name: Audio Sink
Service RecHandle: 0x1000a
Service Class ID List:
  "Audio Sink" (0x110b)
Protocol Descriptor List:
  "L2CAP" (0x0100)
    PSM: 25
  "AVDTP" (0x0019)
    uint16: 0x0103
Profile Descriptor List:
  "Advanced Audio" (0x110d)
    Version: 0x0103

Service Name: Headset Voice gateway
Service RecHandle: 0x1000e
Service Class ID List:
  "Headset Audio Gateway" (0x1112)
  "Generic Audio" (0x1203)
Protocol Descriptor List:
  "L2CAP" (0x0100)
  "RFCOMM" (0x0003)
    Channel: 12
Profile Descriptor List:
  "Headset" (0x1108)
    Version: 0x0102

cimi cimi # hcitool con
Connections:
cimi cimi #  bluetoothctl
[NEW] Controller D8:FC:93:11:D3:A1 BlueZ 5.47 [default]
[NEW] Device 4C:18:9A:67:C0:38 manic depression
[NEW] Controller 5C:F3:70:84:4B:32 BlueZ 5.47 
Agent registered
[bluetooth]# 
[bluetooth]# man bluetoothctl
Invalid command
[bluetooth]# sudo bluetoothctl
Invalid command
[bluetooth]# 
[7]+  Stopped                 bluetoothctl
cimi cimi # sudo bluetoothctl
[NEW] Controller D8:FC:93:11:D3:A1 BlueZ 5.47 [default]
[NEW] Device 4C:18:9A:67:C0:38 manic depression
[NEW] Controller 5C:F3:70:84:4B:32 BlueZ 5.47 
Agent registered
[bluetooth]# 
[8]+  Stopped                 sudo bluetoothctl
cimi cimi # urpmi d-feet
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/contrib/release/d-feet-0.3.11-3-rosa2016.1.noarch.rpm
                                                                                                                                                                       

    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/contrib/release/d-feet-0.3.11-3-rosa2016.1.noarch.rpm
installing d-feet-0.3.11-3-rosa2016.1.noarch.rpm from /var/cache/urpmi/rpms                                                                                            
Preparing...                     #####################################################################################################################################
      1/1: d-feet                #####################################################################################################################################
cimi cimi # sudo service bluetooth start
Redirecting to /bin/systemctl start  bluetooth.service
cimi cimi # sudo rfkill list 
0: hci0: Bluetooth
        Soft blocked: no
        Hard blocked: no
1: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no
2: acer-wireless: Wireless LAN
        Soft blocked: no
        Hard blocked: no
3: acer-bluetooth: Bluetooth
        Soft blocked: no
        Hard blocked: no
4: hci1: Bluetooth
        Soft blocked: no
        Hard blocked: no
cimi cimi # sudo rfkill unblock bluetooth
cimi cimi # sudo hciconfig hci0 up 
cimi cimi # hcitool scan
Scanning ...
        D8:FC:93:11:D3:A1       BlueZ 5.47
cimi cimi # npm outdated
cimi cimi # bluez-simple-agent hci0 D8:FC:93:11:D3:A1
bash: bluez-simple-agent: command not found
cimi cimi # sudo /etc/init.d/dbus restart
sudo: /etc/init.d/dbus: command not found
cimi cimi # urpmi purge
GOT: privoxy-3.0.26-4-rosa2016.1.x86_64
GOT: tinyproxy-1.8.3-6-rosa2016.1.x86_64
GOT: squid-3.5.27-1-rosa2016.1.x86_64
To satisfy dependencies, the following packages are going to be installed:
 Package                        Version      Release       Dist  DEpoch Arch 
(medium "Main")
 lib64ecap3                     1.0.0        3             rosa  2016.1 x86_64 (suggested)
 perl-Crypt-OpenSSL-X509        1.806.0      4             rosa  2016.1 x86_64 (suggested)
(medium "Contrib")
 squid-purge                    20040201     6             rosa  2016.1 x86_64 
(medium "Main2")
 perl-Authen-Smb                0.910.0      13            rosa  2016.1 x86_64 (suggested)
(medium "Main Updates2")
 squid                          3.5.27       1             rosa  2016.1 x86_64 (suggested)
10MB of additional disk space will be used.
2.8MB of packages will be retrieved.
Proceed with the installation of the 5 packages? (Y/n) y
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/main/release/perl-Crypt-OpenSSL-X509-1.806.0-4-rosa2016.1.x86_64.rpm
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/main/release/lib64ecap3-1.0.0-3-rosa2016.1.x86_64.rpm                                             
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/main/release/perl-Authen-Smb-0.910.0-13-rosa2016.1.x86_64.rpm                                     
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/main/updates/squid-3.5.27-1-rosa2016.1.x86_64.rpm                                                 
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/contrib/release/squid-purge-20040201-6-rosa2016.1.x86_64.rpm                                      
                                                                                                                                                                       

    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/main/release/perl-Authen-Smb-0.910.0-13-rosa2016.1.x86_64.rpm
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/main/updates/squid-3.5.27-1-rosa2016.1.x86_64.rpm                                                 
installing squid-3.5.27-1-rosa2016.1.x86_64.rpm squid-purge-20040201-6-rosa2016.1.x86_64.rpm perl-Crypt-OpenSSL-X509-1.806.0-4-rosa2016.1.x86_64.rpm perl-Authen-Smb-0.910.0-13-rosa2016.1.x86_64.rpm lib64ecap3-1.0.0-3-rosa2016.1.x86_64.rpm from /var/cache/urpmi/rpms
Preparing...                     #####################################################################################################################################
      1/5: lib64ecap3            #####################################################################################################################################
      2/5: perl-Authen-Smb       #####################################################################################################################################
      3/5: perl-Crypt-OpenSSL-X509
                                 #####################################################################################################################################
      4/5: squid                 #####################################################################################################################################
Generating a 2048 bit RSA private key
.....+++
...+++
writing new private key to '/etc/pki/tls/private/squid.pem'
-----
      5/5: squid-purge           #####################################################################################################################################
cimi cimi # ps -ef | grep dbus | grep -v grep
message+  4576     1  0 Dec19 ?        00:00:11 /bin/dbus-daemon --system --address=systemd: --nofork --nopidfile --systemd-activation
cimi      7072 22965  0 Dec19 ?        00:00:01 /bin/dbus-daemon --config-file=/usr/share/defaults/at-spi2/accessibility.conf --nofork --print-address 3
sddm      7624  7620  0 Dec19 ?        00:00:00 /bin/dbus-daemon --session --address=systemd: --nofork --nopidfile --systemd-activation
sddm      7632     1  0 Dec19 ?        00:00:00 dbus-launch --autolaunch 5d1e5ca6ed614cabbfe8fcfa3205b952 --binary-syntax --close-stderr
sddm      7633     1  0 Dec19 ?        00:00:00 /bin/dbus-daemon --fork --print-pid 5 --print-address 7 --session
cimi      7646  7642  0 Dec19 ?        00:00:00 /bin/dbus-daemon --session --address=systemd: --nofork --nopidfile --systemd-activation
cimi      7702     1  0 Dec19 ?        00:00:00 /usr/bin/dbus-launch --exit-with-session --sh-syntax
cimi      7703     1  0 Dec19 ?        00:00:06 /bin/dbus-daemon --fork --print-pid 5 --print-address 15 --session
cimi cimi # sudo leafpad /etc/bluetooth/audio.conf
sudo: leafpad: command not found
cimi cimi # urpmi leafpad
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/contrib/release/leafpad-0.8.18.1-9-rosa2016.1.x86_64.rpm
                                                                                                                                                                       

    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/media/contrib/release/leafpad-0.8.18.1-9-rosa2016.1.x86_64.rpm
installing leafpad-0.8.18.1-9-rosa2016.1.x86_64.rpm from /var/cache/urpmi/rpms                                                                                         
Preparing...                     #####################################################################################################################################
      1/1: leafpad               #####################################################################################################################################
cimi cimi # sudo leafpad /etc/bluetooth/audio.conf

** (leafpad:4012): WARNING **: Invalid borders specified for theme pixmap:
        /usr/share/themes/Breeze/gtk-2.0/../assets/line-h.png,
borders don't fit within the image
cimi cimi # sudo add-apt-repository ppa:cschramm/blueman
sudo: add-apt-repository: command not found
cimi cimi # urpmi blueman
Package blueman-2.1.0-2.1.alpha1-rosa2016.1.x86_64 is already installed
cimi cimi # urpmi cschramm
No package named cschramm
cimi cimi # urpmi pavucontrol 
Package pavucontrol-3.0-10-rosa2016.1.x86_64 is already installed
cimi cimi # urpmi pulseaudio-module-bluetooth
Package pulseaudio-module-bluetooth-10.0-3-rosa2016.1.x86_64 is already installed
cimi cimi # sudo lshw -C display
  *-display               
       description: VGA compatible controller
       product: HD Graphics 5500
       vendor: Intel Corporation
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 09
       width: 64 bits
       clock: 33MHz
       capabilities: msi pm vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       resources: irq:51 memory:c2000000-c2ffffff memory:d0000000-dfffffff ioport:5000(size=64) memory:c0000-dffff
  *-display
       description: 3D controller
       product: GM108M [GeForce 840M]
       vendor: NVIDIA Corporation
       physical id: 0
       bus info: pci@0000:04:00.0
       version: a2
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list
       configuration: driver=nouveau latency=0
       resources: irq:50 memory:c3000000-c3ffffff memory:b0000000-bfffffff memory:c0000000-c1ffffff ioport:3000(size=128)
cimi cimi # sudo /etc/init.d/bluetooth restart
sudo: /etc/init.d/bluetooth: command not found
cimi cimi # service --status-all
Checking if system is started from flash
● mandi.service - LSB: Network monitoring daemon
   Loaded: loaded (/etc/rc.d/init.d/mandi; generated; vendor preset: disabled)
   Active: active (running) since Tue 2017-12-19 13:16:46 AEDT; 11h ago
     Docs: man:systemd-sysv-generator(8)
   CGroup: /system.slice/mandi.service
           └─5493 /usr/sbin/mandi -d

Dec 19 13:16:46 cimi systemd[1]: Starting LSB: Network monitoring daemon...
Dec 19 13:16:46 cimi mandi[5482]: Starting mandi daemon: nl_create_socket: Protocol not supported
Dec 19 13:16:46 cimi mandi[5482]: unable to init netlink
Dec 19 13:16:46 cimi mandi[5482]: unable to init "Interactive Firewall" plugin
Dec 19 13:16:46 cimi mandi[5482]: [  OK  ]
Dec 19 13:16:46 cimi systemd[1]: Started LSB: Network monitoring daemon.
netconsole module not loaded
Configured devices:
lo Cyprus_5GHz Cyprus_5GHz-guest
Currently active devices:
lo enp2s0f1 wlp3s0
pppoe-status: Link is down (can't read pppoe PID file /var/run/pppoe.conf-pppoe.pid.pppoe)
● pptp.service - LSB: This startup script launches pptp-command.
   Loaded: loaded (/etc/rc.d/init.d/pptp; generated; vendor preset: disabled)
   Active: inactive (dead)
     Docs: man:systemd-sysv-generator(8)
● preload.service - LSB: Adaptive readahead daemon
   Loaded: loaded (/etc/rc.d/init.d/preload; generated; vendor preset: disabled)
   Active: active (running) since Tue 2017-12-19 13:16:42 AEDT; 11h ago
     Docs: man:systemd-sysv-generator(8)
   CGroup: /system.slice/preload.service
           └─5042 /usr/sbin/preload --verbose 1

Dec 19 13:16:40 cimi systemd[1]: Starting LSB: Adaptive readahead daemon...
Dec 19 13:16:42 cimi preload[4993]: Starting preload daemon: [  OK  ]
Dec 19 13:16:42 cimi systemd[1]: Started LSB: Adaptive readahead daemon.
● squid.service - LSB: Starts the squid daemon
   Loaded: loaded (/etc/rc.d/init.d/squid; generated; vendor preset: disabled)
   Active: inactive (dead)
     Docs: man:systemd-sysv-generator(8)
squid: ERROR: No running copy
virtualbox kernel module is loaded
● xinetd.service - LSB: A powerful replacement for inetd
   Loaded: loaded (/etc/rc.d/init.d/xinetd; generated; vendor preset: enabled)
   Active: active (running) since Tue 2017-12-19 13:16:50 AEDT; 11h ago
     Docs: man:systemd-sysv-generator(8)
   CGroup: /system.slice/xinetd.service
           └─7011 xinetd -stayalive -reuse -pidfile /var/run/xinetd.pid

Dec 19 13:16:49 cimi systemd[1]: Starting LSB: A powerful replacement for inetd...
Dec 19 13:16:50 cimi xinetd[7011]: Reading included configuration file: /etc/xinetd.d/cvs [file=/etc/xinetd.conf] [line=15]
Dec 19 13:16:50 cimi xinetd[6672]: Starting xinetd[  OK  ]
Dec 19 13:16:50 cimi systemd[1]: Started LSB: A powerful replacement for inetd.
Dec 19 13:16:50 cimi xinetd[7011]: Reading included configuration file: /etc/xinetd.d/saned [file=/etc/xinetd.d/saned] [line=12]
Dec 19 13:16:51 cimi xinetd[7011]: removing cvspserver
Dec 19 13:16:51 cimi xinetd[7011]: xinetd Version 2.3.15 started with libwrap loadavg options compiled in.
Dec 19 13:16:51 cimi xinetd[7011]: Started working: 1 available service
cimi cimi # service sshd stop
Redirecting to /bin/systemctl stop  sshd.service
cimi cimi # service sshd start
Redirecting to /bin/systemctl start  sshd.service
cimi cimi # service sshd restart
Redirecting to /bin/systemctl restart  sshd.service
cimi cimi # service sshd reload
Redirecting to /bin/systemctl reload  sshd.service
cimi cimi # sudo service bluetooth start
Redirecting to /bin/systemctl start  bluetooth.service
cimi cimi # sudo rfkill list 
0: hci0: Bluetooth
        Soft blocked: no
        Hard blocked: no
1: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no
2: acer-wireless: Wireless LAN
        Soft blocked: no
        Hard blocked: no
3: acer-bluetooth: Bluetooth
        Soft blocked: no
        Hard blocked: no
4: hci1: Bluetooth
        Soft blocked: no
        Hard blocked: no
cimi cimi # sudo rfkill unblock bluetooth
cimi cimi # sudo hciconfig hci0 up
cimi cimi # hcitool scan
Scanning ...
        D8:FC:93:11:D3:A1       BlueZ 5.47
cimi cimi #
Comment 10 daz 2017-12-20 15:01:33 MSK
Progress made !!!

Hey guys!

I have made some progress on this one. Not sure how much these details will help.
But I have finally managed to get the system to identify the bluetooth device that was missing. 

Called Coopers speakers.

Here is the latest. One thing I did do not in ticket is replace one package , from a package that I found inline listed for the ROSA enterprise version.

LOG:

cimi@cimi ~ $ su
Password: 
cimi cimi # bluetoothctl
[NEW] Controller D8:FC:93:11:D3:A1 BlueZ 5.47 [default]
[NEW] Device 08:ED:02:60:1C:44 Coopers Speaker
[NEW] Device 4C:18:9A:67:C0:38 manic depression
[NEW] Controller 5C:F3:70:84:4B:32 BlueZ 5.47 
Agent registered
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -57
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -45
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -55
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -45
[manic depression]# power on
Changing power on succeeded
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -60
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -45
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -57
[manic depression]# devices
Device 08:ED:02:60:1C:44 Coopers Speaker
Device 4C:18:9A:67:C0:38 manic depression
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -45
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -58
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -45
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -56
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -46
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -54
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -64
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -52
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -61
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -44
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -57
[NEW] Device 56:FF:FA:8C:D2:C3 56-FF-FA-8C-D2-C3
[CHG] Device 56:FF:FA:8C:D2:C3 RSSI: -72
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -45
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -57
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -44
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -53
[CHG] Device 56:FF:FA:8C:D2:C3 RSSI: -64
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -66
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -56
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -45
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -54
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -46
[CHG] Device 56:FF:FA:8C:D2:C3 RSSI: -76
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -54
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -45
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -53
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -66
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -57
[NEW] Device 88:C6:26:F0:2A:E8 88-C6-26-F0-2A-E8
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -45
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -61
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -51
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -74
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -53
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -61
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -52
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -61
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -61
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -51
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -61
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -51
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -61
[CHG] Device 56:FF:FA:8C:D2:C3 RSSI: -65
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -52
[CHG] Device 56:FF:FA:8C:D2:C3 RSSI: -87
[CHG] Device 56:FF:FA:8C:D2:C3 RSSI: -70
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -60
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -52
[CHG] Device 56:FF:FA:8C:D2:C3 RSSI: -62
[manic depression]# 
[1]+  Stopped                 bluetoothctl
cimi cimi # connect 4C:18:9A:67:C0:38
bash: connect: command not found
cimi cimi # bluetoothctl
[NEW] Controller D8:FC:93:11:D3:A1 BlueZ 5.47 [default]
[NEW] Device 88:C6:26:F0:2A:E8 88-C6-26-F0-2A-E8
[NEW] Device 56:FF:FA:8C:D2:C3 56-FF-FA-8C-D2-C3
[NEW] Device 08:ED:02:60:1C:44 Coopers Speaker
[NEW] Device 4C:18:9A:67:C0:38 manic depression
[NEW] Controller 5C:F3:70:84:4B:32 BlueZ 5.47 
Agent registered
[manic depression]# connect 08:ED:02:60:1C:44
Attempting to connect to 08:ED:02:60:1C:44
[CHG] Device 08:ED:02:60:1C:44 Connected: yes
[CHG] Device 08:ED:02:60:1C:44 UUIDs: 00001108-0000-1000-8000-00805f9b34fb
[CHG] Device 08:ED:02:60:1C:44 UUIDs: 0000110b-0000-1000-8000-00805f9b34fb
[CHG] Device 08:ED:02:60:1C:44 UUIDs: 0000110c-0000-1000-8000-00805f9b34fb
[CHG] Device 08:ED:02:60:1C:44 UUIDs: 0000110e-0000-1000-8000-00805f9b34fb
[CHG] Device 08:ED:02:60:1C:44 UUIDs: 0000111e-0000-1000-8000-00805f9b34fb
[CHG] Device 08:ED:02:60:1C:44 ServicesResolved: yes
Failed to connect: org.bluez.Error.InProgress
[CHG] Device 08:ED:02:60:1C:44 ServicesResolved: no
[CHG] Device 08:ED:02:60:1C:44 Connected: no
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -55
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -44
[manic depression]# 
[2]+  Stopped                 bluetoothctl
cimi cimi # sudo bluetoothctl -a
Missing argument for -a
cimi cimi # rfkill unblock bluetooth
cimi cimi # bluetoothctl
[NEW] Controller D8:FC:93:11:D3:A1 BlueZ 5.47 [default]
[NEW] Device 88:C6:26:F0:2A:E8 88-C6-26-F0-2A-E8
[NEW] Device 56:FF:FA:8C:D2:C3 56-FF-FA-8C-D2-C3
[NEW] Device 08:ED:02:60:1C:44 Coopers Speaker
[NEW] Device 4C:18:9A:67:C0:38 manic depression
[NEW] Controller 5C:F3:70:84:4B:32 BlueZ 5.47 
Agent registered
[manic depression]# connect 08:ED:02:60:1C:44
Attempting to connect to 08:ED:02:60:1C:44
Failed to connect: org.bluez.Error.Failed
[manic depression]# scan on
Discovery started
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -56
[CHG] Device 08:ED:02:60:1C:44 RSSI: -76
[CHG] Device 08:ED:02:60:1C:44 RSSI: -65
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -42
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -52
[manic depression]# blueman-applet
Invalid command
[manic depression]# 
[3]+  Stopped                 bluetoothctl
cimi cimi # blueman-applet

(blueman-applet:3757): Gtk-WARNING **: Theme parsing error: gtk.css:68:35: The style property GtkButton:child-displacement-x is deprecated and shouldn't be used anymore. It will be removed in a future version

(blueman-applet:3757): Gtk-WARNING **: Theme parsing error: gtk.css:69:35: The style property GtkButton:child-displacement-y is deprecated and shouldn't be used anymore. It will be removed in a future version

(blueman-applet:3757): Gtk-WARNING **: Theme parsing error: gtk.css:73:46: The style property GtkScrolledWindow:scrollbars-within-bevel is deprecated and shouldn't be used anymore. It will be removed in a future version
blueman-applet version 2.1.alpha1 starting
Traceback (most recent call last):
  File "/usr/bin/blueman-applet", line 47, in <module>
    BluemanApplet()
  File "/usr/lib/python2.7/site-packages/blueman/main/Applet.py", line 36, in __init__
    self.DbusSvc = DbusService("org.blueman.Applet", "/")
  File "/usr/lib/python2.7/site-packages/blueman/main/DbusService.py", line 20, in __init__
    self.bus = bus()
  File "/usr/lib/python2.7/site-packages/dbus/_dbus.py", line 211, in __new__
    mainloop=mainloop)
  File "/usr/lib/python2.7/site-packages/dbus/_dbus.py", line 100, in __new__
    bus = BusConnection.__new__(subclass, bus_type, mainloop=mainloop)
  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 122, in __new__
    bus = cls._new_for_bus(address_or_type, mainloop=mainloop)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
cimi cimi # blueman-manager

(blueman-manager:6258): Gtk-WARNING **: Theme parsing error: gtk.css:68:35: The style property GtkButton:child-displacement-x is deprecated and shouldn't be used anymore. It will be removed in a future version

(blueman-manager:6258): Gtk-WARNING **: Theme parsing error: gtk.css:69:35: The style property GtkButton:child-displacement-y is deprecated and shouldn't be used anymore. It will be removed in a future version

(blueman-manager:6258): Gtk-WARNING **: Theme parsing error: gtk.css:73:46: The style property GtkScrolledWindow:scrollbars-within-bevel is deprecated and shouldn't be used anymore. It will be removed in a future version
blueman-manager 21.46.06 ERROR    PluginManager:93 Load      : Unable to load plugin module PulseAudioProfile
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/blueman/main/PluginManager.py", line 91, in Load
    __import__(self.module_path.__name__ + ".%s" % plugin, None, None, [])
  File "/usr/lib/python2.7/site-packages/blueman/plugins/manager/PulseAudioProfile.py", line 14, in <module>
    from blueman.Sdp import uuid128_to_uuid16
ImportError: cannot import name uuid128_to_uuid16
blueman-manager version 2.1.alpha1 starting
Blueman applet needs to be running
cimi cimi # bluetoothctl
[NEW] Controller D8:FC:93:11:D3:A1 BlueZ 5.47 [default]
[NEW] Device 88:C6:26:F0:2A:E8 88-C6-26-F0-2A-E8
[NEW] Device 56:FF:FA:8C:D2:C3 56-FF-FA-8C-D2-C3
[NEW] Device 08:ED:02:60:1C:44 Coopers Speaker
[NEW] Device 4C:18:9A:67:C0:38 manic depression
[NEW] Controller 5C:F3:70:84:4B:32 BlueZ 5.47 
Agent registered
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -44
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -57
[CHG] Device 4C:18:9A:67:C0:38 RSSI: -44
[manic depression]# connect 08:ED:02:60:1C:44
Attempting to connect to 08:ED:02:60:1C:44
Failed to connect: org.bluez.Error.Failed
[CHG] Device 08:ED:02:60:1C:44 Connected: yes
[CHG] Device 08:ED:02:60:1C:44 Paired: yes
[manic depression]# 
[4]+  Stopped                 bluetoothctl
cimi cimi # lsusb
Bus 001 Device 002: ID 8087:8001 Intel Corp. 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 002 Device 005: ID 04f2:b452 Chicony Electronics Co., Ltd 
Bus 002 Device 003: ID 8087:07dc Intel Corp. 
Bus 002 Device 007: ID 0a5c:21e8 Broadcom Corp. BCM20702A0 Bluetooth 4.0
Bus 002 Device 013: ID 046d:c534 Logitech, Inc. Unifying Receiver
Bus 002 Device 012: ID 0dd8:ac00 Netac Technology Co., Ltd 
Bus 002 Device 011: ID 1a40:0101 Terminus Technology Inc. Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
cimi cimi # systemctl status bluetooth.service dbus-org.bluez.service
● bluetooth.service - Bluetooth service
   Loaded: loaded (/lib/systemd/system/bluetooth.service; enabled; vendor preset: enabled)
   Active: active (running) since Wed 2017-12-20 00:21:22 AEDT; 21h ago
     Docs: man:bluetoothd(8)
 Main PID: 13405 (bluetoothd)
   Status: "Running"
    Tasks: 1 (limit: 512)
   CGroup: /system.slice/bluetooth.service
           └─13405 /usr/lib64/bluetooth/bluetoothd

Dec 20 11:52:33 cimi bluetoothd[13405]: Sap driver initialization failed.
Dec 20 11:52:33 cimi bluetoothd[13405]: sap-server: Operation not permitted (1)
Dec 20 11:52:33 cimi bluetoothd[13405]: Endpoint registered: sender=:1.44 path=/MediaEndpoint/A2DPSource
Dec 20 11:52:33 cimi bluetoothd[13405]: Endpoint registered: sender=:1.44 path=/MediaEndpoint/A2DPSink
Dec 20 21:43:24 cimi bluetoothd[13405]: Unable to get Headset Voice gateway SDP record: Device or resource busy
Dec 20 21:43:24 cimi bluetoothd[13405]: connect error: Device or resource busy (16)
Dec 20 21:43:26 cimi bluetoothd[13405]: connect error: Device or resource busy (16)
Dec 20 21:46:55 cimi bluetoothd[13405]: Unable to get Headset Voice gateway SDP record: Device or resource busy
Dec 20 21:46:56 cimi bluetoothd[13405]: connect error: Device or resource busy (16)
Dec 20 21:47:04 cimi bluetoothd[13405]: /org/bluez/hci1/dev_08_ED_02_60_1C_44/fd1: fd(36) ready

● bluetooth.service - Bluetooth service
   Loaded: loaded (/lib/systemd/system/bluetooth.service; enabled; vendor preset: enabled)
   Active: active (running) since Wed 2017-12-20 00:21:22 AEDT; 21h ago
     Docs: man:bluetoothd(8)
 Main PID: 13405 (bluetoothd)
   Status: "Running"
    Tasks: 1 (limit: 512)
   CGroup: /system.slice/bluetooth.service
           └─13405 /usr/lib64/bluetooth/bluetoothd

Dec 20 11:52:33 cimi bluetoothd[13405]: Sap driver initialization failed.
Dec 20 11:52:33 cimi bluetoothd[13405]: sap-server: Operation not permitted (1)
Dec 20 11:52:33 cimi bluetoothd[13405]: Endpoint registered: sender=:1.44 path=/MediaEndpoint/A2DPSource
Dec 20 11:52:33 cimi bluetoothd[13405]: Endpoint registered: sender=:1.44 path=/MediaEndpoint/A2DPSink
Dec 20 21:43:24 cimi bluetoothd[13405]: Unable to get Headset Voice gateway SDP record: Device or resource busy
Dec 20 21:43:24 cimi bluetoothd[13405]: connect error: Device or resource busy (16)
Dec 20 21:43:26 cimi bluetoothd[13405]: connect error: Device or resource busy (16)
Dec 20 21:46:55 cimi bluetoothd[13405]: Unable to get Headset Voice gateway SDP record: Device or resource busy
Dec 20 21:46:56 cimi bluetoothd[13405]: connect error: Device or resource busy (16)
Dec 20 21:47:04 cimi bluetoothd[13405]: /org/bluez/hci1/dev_08_ED_02_60_1C_44/fd1: fd(36) ready
...skipping...

                   SUMMARY OF LESS COMMANDS

      Commands marked with * may be preceded by a number, N.
      Notes in parentheses indicate the behavior if N is given.
      A key preceded by a caret indicates the Ctrl key; thus ^K is ctrl-K.

  h  H                 Display this help.
  q  :q  Q  :Q  ZZ     Exit.
 ---------------------------------------------------------------------------

                           MOVING

  e  ^E  j  ^N  CR  *  Forward  one line   (or N lines).
  y  ^Y  k  ^K  ^P  *  Backward one line   (or N lines).
  f  ^F  ^V  SPACE  *  Forward  one window (or N lines).
  b  ^B  ESC-v      *  Backward one window (or N lines).
  z                 *  Forward  one window (and set window to N).
  w                 *  Backward one window (and set window to N).
  ESC-SPACE         *  Forward  one window, but don't stop at end-of-file.
  d  ^D             *  Forward  one half-window (and set half-window to N).
  u  ^U             *  Backward one half-window (and set half-window to N).
  ESC-)  RightArrow *  Left  one half screen width (or N positions).
  ESC-(  LeftArrow  *  Right one half screen width (or N positions).
  F                    Forward forever; like "tail -f".
  ESC-F                Like F but stop when search pattern is found.
  r  ^R  ^L            Repaint screen.
  R                    Repaint screen, discarding buffered input.
        ---------------------------------------------------
        Default "window" is the screen height.
        Default "half-window" is half of the screen height.
 ---------------------------------------------------------------------------

                          SEARCHING

  /pattern          *  Search forward for (N-th) matching line.
  ?pattern          *  Search backward for (N-th) matching line.
  n                 *  Repeat previous search (for N-th occurrence).
  N                 *  Repeat previous search in reverse direction.
  ESC-n             *  Repeat previous search, spanning files.
...skipping...
   Loaded: loaded (/lib/systemd/system/bluetooth.service; enabled; vendor preset: enabled)
   Active: active (running) since Wed 2017-12-20 00:21:22 AEDT; 21h ago
     Docs: man:bluetoothd(8)
 Main PID: 13405 (bluetoothd)
   Status: "Running"
    Tasks: 1 (limit: 512)
   CGroup: /system.slice/bluetooth.service
           └─13405 /usr/lib64/bluetooth/bluetoothd

Dec 20 11:52:33 cimi bluetoothd[13405]: Sap driver initialization failed.
Dec 20 11:52:33 cimi bluetoothd[13405]: sap-server: Operation not permitted (1)
Dec 20 11:52:33 cimi bluetoothd[13405]: Endpoint registered: sender=:1.44 path=/MediaEndpoint/A2DPSource
Dec 20 11:52:33 cimi bluetoothd[13405]: Endpoint registered: sender=:1.44 path=/MediaEndpoint/A2DPSink
Dec 20 21:43:24 cimi bluetoothd[13405]: Unable to get Headset Voice gateway SDP record: Device or resource busy
Dec 20 21:43:24 cimi bluetoothd[13405]: connect error: Device or resource busy (16)
Dec 20 21:43:26 cimi bluetoothd[13405]: connect error: Device or resource busy (16)
Dec 20 21:46:55 cimi bluetoothd[13405]: Unable to get Headset Voice gateway SDP record: Device or resource busy
Dec 20 21:46:56 cimi bluetoothd[13405]: connect error: Device or resource busy (16)
Dec 20 21:47:04 cimi bluetoothd[13405]: /org/bluez/hci1/dev_08_ED_02_60_1C_44/fd1: fd(36) ready

● bluetooth.service - Bluetooth service
   Loaded: loaded (/lib/systemd/system/bluetooth.service; enabled; vendor preset: enabled)
   Active: active (running) since Wed 2017-12-20 00:21:22 AEDT; 21h ago
     Docs: man:bluetoothd(8)
 Main PID: 13405 (bluetoothd)
   Status: "Running"
    Tasks: 1 (limit: 512)
   CGroup: /system.slice/bluetooth.service
           └─13405 /usr/lib64/bluetooth/bluetoothd

Dec 20 11:52:33 cimi bluetoothd[13405]: Sap driver initialization failed.
Dec 20 11:52:33 cimi bluetoothd[13405]: sap-server: Operation not permitted (1)
Dec 20 11:52:33 cimi bluetoothd[13405]: Endpoint registered: sender=:1.44 path=/MediaEndpoint/A2DPSource
Dec 20 11:52:33 cimi bluetoothd[13405]: Endpoint registered: sender=:1.44 path=/MediaEndpoint/A2DPSink
Dec 20 21:43:24 cimi bluetoothd[13405]: Unable to get Headset Voice gateway SDP record: Device or resource busy
Dec 20 21:43:24 cimi bluetoothd[13405]: connect error: Device or resource busy (16)
Dec 20 21:43:26 cimi bluetoothd[13405]: connect error: Device or resource busy (16)
Dec 20 21:46:55 cimi bluetoothd[13405]: Unable to get Headset Voice gateway SDP record: Device or resource busy
Dec 20 21:46:56 cimi bluetoothd[13405]: connect error: Device or resource busy (16)
Dec 20 21:47:04 cimi bluetoothd[13405]: /org/bluez/hci1/dev_08_ED_02_60_1C_44/fd1: fd(36) ready

[5]+  Stopped                 systemctl status bluetooth.service dbus-org.bluez.service
cimi cimi # lspcidrake -v | grep -i blue
btusb           : Intel Corp.|Unknown [Wireless|Radio Frequency|Bluetooth] (vendor:8087 device:07dc)
cimi cimi # rfkill list
1: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: no
2: acer-wireless: Wireless LAN
	Soft blocked: no
	Hard blocked: no
3: acer-bluetooth: Bluetooth
	Soft blocked: no
	Hard blocked: no
5: hci0: Bluetooth
	Soft blocked: no
	Hard blocked: no
6: hci1: Bluetooth
	Soft blocked: no
	Hard blocked: no
cimi cimi #     0: hci0: Bluetooth
bash: 0:: command not found
cimi cimi #        Soft blocked: no
bash: Soft: command not found
cimi cimi #        Hard blocked: no
bash: Hard: command not found
cimi cimi #     1: phy0: Wireless LAN
bash: 1:: command not found
cimi cimi #        Soft blocked: no
bash: Soft: command not found
cimi cimi #        Hard blocked: no
bash: Hard: command not found
cimi cimi # rfkill list
1: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: no
2: acer-wireless: Wireless LAN
	Soft blocked: no
	Hard blocked: no
3: acer-bluetooth: Bluetooth
	Soft blocked: no
	Hard blocked: no
5: hci0: Bluetooth
	Soft blocked: no
	Hard blocked: no
6: hci1: Bluetooth
	Soft blocked: no
	Hard blocked: no
cimi cimi # rpm -qa | grep blue | sort
blueman-2.1.0-2.1.alpha1-rosa2016.1.x86_64
bluez-5.47-1-rosa2016.1.x86_64
bluez-firmware-1.2-8-rosa2016.1.noarch
bluez-hid2hci-5.47-1-rosa2016.1.x86_64
bluez-qt-5.38.0-1-rosa2016.1.x86_64
lib64bluez3-5.47-1-rosa2016.1.x86_64
lib64bluez-devel-5.47-1-rosa2016.1.x86_64
lib64gnome-bluetooth13-3.20.1-1-rosa2016.1.x86_64
lib64gnome-bluetooth-devel-3.20.1-1-rosa2016.1.x86_64
lib64gnome-bluetooth-gir1.0-3.20.1-1-rosa2016.1.x86_64
lib64kf5bluezqt6-5.38.0-1-rosa2016.1.x86_64
lib64kf5bluezqt-qml-5.38.0-1-rosa2016.1.x86_64
lib64qt5bluetooth5-5.9.3-1-rosa2016.1.x86_64
oxygen-cursor-theme-blue-5.10.5-1-rosa2016.1.x86_64
pulseaudio-module-bluetooth-10.0-3-rosa2016.1.x86_64
python3-qt5-bluetooth-5.9-1-rosa2016.1.x86_64
cimi cimi # hciconfig hci0 reset
cimi cimi # hciconfig -a
hci1:	Type: Primary  Bus: USB
	BD Address: D8:FC:93:11:D3:A1  ACL MTU: 1021:5  SCO MTU: 96:6
	UP RUNNING PSCAN ISCAN 
	RX bytes:151044 acl:107 sco:0 events:1893 errors:0
	TX bytes:242153 acl:352 sco:0 commands:783 errors:0
	Features: 0xff 0xfe 0x0f 0xfe 0xdb 0xff 0x7b 0x87
	Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3 
	Link policy: RSWITCH HOLD SNIFF 
	Link mode: SLAVE ACCEPT 
	Name: 'BlueZ 5.47'
	Class: 0x0c010c
	Service Classes: Rendering, Capturing
	Device Class: Computer, Laptop
	HCI Version: 4.0 (0x6)  Revision: 0xe00
	LMP Version: 4.0 (0x6)  Subversion: 0xe00
	Manufacturer: Intel Corp. (2)

hci0:	Type: Primary  Bus: USB
	BD Address: 5C:F3:70:84:4B:32  ACL MTU: 1021:8  SCO MTU: 64:1
	UP RUNNING 
	RX bytes:1582 acl:0 sco:0 events:87 errors:0
	TX bytes:3146 acl:0 sco:0 commands:87 errors:0
	Features: 0xbf 0xfe 0xcf 0xfe 0xdb 0xff 0x7b 0x87
	Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3 
	Link policy: RSWITCH SNIFF 
	Link mode: SLAVE ACCEPT 
	Name: 'BlueZ 5.47'
	Class: 0x0c010c
	Service Classes: Rendering, Capturing
	Device Class: Computer, Laptop
	HCI Version: 4.0 (0x6)  Revision: 0x1000
	LMP Version: 4.0 (0x6)  Subversion: 0x220e
	Manufacturer: Broadcom Corporation (15)

cimi cimi # bluetoothctl
[NEW] Controller D8:FC:93:11:D3:A1 BlueZ 5.47 [default]
[NEW] Device 88:C6:26:F0:2A:E8 88-C6-26-F0-2A-E8
[NEW] Device 56:FF:FA:8C:D2:C3 56-FF-FA-8C-D2-C3
[NEW] Device 08:ED:02:60:1C:44 Coopers Speaker
[NEW] Device 4C:18:9A:67:C0:38 manic depression
[NEW] Controller 5C:F3:70:84:4B:32 BlueZ 5.47 
Agent registered
[Coopers Speaker]# list
Controller D8:FC:93:11:D3:A1 BlueZ 5.47 [default]
Controller 5C:F3:70:84:4B:32 BlueZ 5.47 
[Coopers Speaker]# show
Controller D8:FC:93:11:D3:A1
	Name: BlueZ 5.47
	Alias: BlueZ 5.47
	Class: 0x000c010c
	Powered: yes
	Discoverable: yes
	Pairable: yes
	UUID: Headset AG                (00001112-0000-1000-8000-00805f9b34fb)
	UUID: Generic Attribute Profile (00001801-0000-1000-8000-00805f9b34fb)
	UUID: A/V Remote Control        (0000110e-0000-1000-8000-00805f9b34fb)
	UUID: Generic Access Profile    (00001800-0000-1000-8000-00805f9b34fb)
	UUID: PnP Information           (00001200-0000-1000-8000-00805f9b34fb)
	UUID: A/V Remote Control Target (0000110c-0000-1000-8000-00805f9b34fb)
	UUID: Audio Source              (0000110a-0000-1000-8000-00805f9b34fb)
	UUID: Audio Sink                (0000110b-0000-1000-8000-00805f9b34fb)
	Modalias: usb:v1D6Bp0246d052F
	Discovering: yes
[Coopers Speaker]# rpm -qa | grep blue | sort
Invalid command
[Coopers Speaker]# 
[6]+  Stopped                 bluetoothctl
cimi cimi # rpm -qa | grep blue | sort
blueman-2.1.0-2.1.alpha1-rosa2016.1.x86_64
bluez-5.47-1-rosa2016.1.x86_64
bluez-firmware-1.2-8-rosa2016.1.noarch
bluez-hid2hci-5.47-1-rosa2016.1.x86_64
bluez-qt-5.38.0-1-rosa2016.1.x86_64
lib64bluez3-5.47-1-rosa2016.1.x86_64
lib64bluez-devel-5.47-1-rosa2016.1.x86_64
lib64gnome-bluetooth13-3.20.1-1-rosa2016.1.x86_64
lib64gnome-bluetooth-devel-3.20.1-1-rosa2016.1.x86_64
lib64gnome-bluetooth-gir1.0-3.20.1-1-rosa2016.1.x86_64
lib64kf5bluezqt6-5.38.0-1-rosa2016.1.x86_64
lib64kf5bluezqt-qml-5.38.0-1-rosa2016.1.x86_64
lib64qt5bluetooth5-5.9.3-1-rosa2016.1.x86_64
oxygen-cursor-theme-blue-5.10.5-1-rosa2016.1.x86_64
pulseaudio-module-bluetooth-10.0-3-rosa2016.1.x86_64
python3-qt5-bluetooth-5.9-1-rosa2016.1.x86_64
cimi cimi # bluefish-2.2.4-2.mga4
bash: bluefish-2.2.4-2.mga4: command not found
cimi cimi # bluetoothctl
[NEW] Controller D8:FC:93:11:D3:A1 BlueZ 5.47 [default]
[NEW] Device 88:C6:26:F0:2A:E8 88-C6-26-F0-2A-E8
[NEW] Device 56:FF:FA:8C:D2:C3 56-FF-FA-8C-D2-C3
[NEW] Device 08:ED:02:60:1C:44 Coopers Speaker
[NEW] Device 4C:18:9A:67:C0:38 manic depression
[NEW] Controller 5C:F3:70:84:4B:32 BlueZ 5.47 
Agent registered
[Coopers Speaker]# 

Now that Coopers speaker is the last thing shown. I have no idea what to do. Plus there is still no sign of any GUI blue tooth tools , or blue tooth icons on desktop. All I want to do I play music from ROSA to that device. I think there is some pretty good info in this log , from my general understanding
Comment 11 daz 2017-12-20 15:39:21 MSK
1. Aspect OF Problem Solved:

After no further changes done from my last post. I was able to change the default speaker player to Coopers Speakers the blue tooth device this whole ticket has been trying to send. 

I can play music from computer to device and from you-tube etc

However still no ability to file transfer still looking into that
Comment 12 VictorR2007 2017-12-30 21:31:11 MSK
In this container there is a new version of bluez 
You can also try to create a rc.local file.
Having executed in the console

echo '#!/bin/sh' > /etc/rc.d/rc.local
chmod +x /etc/rc.d/rc.local
ln -s /etc/rc.d/rc.local /etc/rc.local

Then add two lines to the rc.local file

rmmod btusb
modprobe btusb

I'm currently testing this option to work around the problem with the loss of the bluetooth device on kernels 4.x.
Comment 14 VictorR2007 2017-12-31 01:51:20 MSK
An additional option is to install the kernel 3.14.73 http://abf-downloads.rosalinux.ru/victorr2007_personal/repository/rosa2016.1/x86_64/main/testing/

This is a copy of the kernel for Rosa 2014.1 from http://abf-downloads.rosalinux.ru/kernels_stable_personal/repository/rosa2014.1/x86_64/kernel_3_14/release/

With this kernel there should be no problems in bluetooth operation.